Package org.eclipse.m2m.atl.common.OCL

# Class OCLPackage

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.m2m.atl.common.OCL.OCLPackage

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class OCLPackage extends org.eclipse.emf.ecore.impl.EPackageImpl
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `OCLFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`OCLPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ATTRIBUTE`
The meta object id for the '`Attribute`' class.
`static final int`
`ATTRIBUTE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ATTRIBUTE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ATTRIBUTE__DEFINITION`
The feature id for the 'Definition' container reference.
`static final int`
`ATTRIBUTE__INIT_EXPRESSION`
The feature id for the 'Init Expression' containment reference.
`static final int`
`ATTRIBUTE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ATTRIBUTE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`ATTRIBUTE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ATTRIBUTE_FEATURE_COUNT`
The number of structural features of the 'Attribute' class.
`static final int`
`BAG_EXP`
The meta object id for the '`Bag Exp`' class.
`static final int`
`BAG_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`BAG_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`BAG_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`BAG_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`BAG_EXP__ELEMENTS`
The feature id for the 'Elements' containment reference list.
`static final int`
`BAG_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`BAG_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`BAG_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`BAG_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`BAG_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`BAG_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`BAG_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`BAG_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`BAG_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`BAG_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`BAG_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`BAG_EXP_FEATURE_COUNT`
The number of structural features of the 'Bag Exp' class.
`static final int`
`BAG_TYPE`
The meta object id for the '`Bag Type`' class.
`static final int`
`BAG_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`BAG_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`BAG_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`BAG_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`BAG_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`BAG_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`BAG_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`BAG_TYPE__ELEMENT_TYPE`
The feature id for the 'Element Type' containment reference.
`static final int`
`BAG_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`BAG_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`BAG_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`BAG_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`BAG_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`BAG_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`BAG_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`BAG_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`BAG_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`BAG_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`BAG_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`BAG_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`BAG_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`BAG_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`BAG_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`BAG_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`BAG_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`BAG_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`BAG_TYPE_FEATURE_COUNT`
The number of structural features of the 'Bag Type' class.
`static final int`
`BOOLEAN_EXP`
The meta object id for the '`Boolean Exp`' class.
`static final int`
`BOOLEAN_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`BOOLEAN_EXP__BOOLEAN_SYMBOL`
The feature id for the 'Boolean Symbol' attribute.
`static final int`
`BOOLEAN_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`BOOLEAN_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`BOOLEAN_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`BOOLEAN_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`BOOLEAN_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`BOOLEAN_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`BOOLEAN_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`BOOLEAN_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`BOOLEAN_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`BOOLEAN_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`BOOLEAN_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`BOOLEAN_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`BOOLEAN_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`BOOLEAN_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`BOOLEAN_EXP_FEATURE_COUNT`
The number of structural features of the 'Boolean Exp' class.
`static final int`
`BOOLEAN_TYPE`
The meta object id for the '`Boolean Type`' class.
`static final int`
`BOOLEAN_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`BOOLEAN_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`BOOLEAN_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`BOOLEAN_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`BOOLEAN_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`BOOLEAN_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`BOOLEAN_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`BOOLEAN_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`BOOLEAN_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`BOOLEAN_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`BOOLEAN_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`BOOLEAN_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`BOOLEAN_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`BOOLEAN_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`BOOLEAN_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`BOOLEAN_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`BOOLEAN_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`BOOLEAN_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`BOOLEAN_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`BOOLEAN_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`BOOLEAN_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`BOOLEAN_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`BOOLEAN_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`BOOLEAN_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`BOOLEAN_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`BOOLEAN_TYPE_FEATURE_COUNT`
The number of structural features of the 'Boolean Type' class.
`static final int`
`COLLECTION_EXP`
The meta object id for the '`Collection Exp`' class.
`static final int`
`COLLECTION_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`COLLECTION_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`COLLECTION_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`COLLECTION_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`COLLECTION_EXP__ELEMENTS`
The feature id for the 'Elements' containment reference list.
`static final int`
`COLLECTION_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`COLLECTION_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`COLLECTION_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`COLLECTION_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`COLLECTION_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`COLLECTION_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`COLLECTION_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`COLLECTION_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`COLLECTION_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`COLLECTION_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`COLLECTION_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`COLLECTION_EXP_FEATURE_COUNT`
The number of structural features of the 'Collection Exp' class.
`static final int`
`COLLECTION_OPERATION_CALL_EXP`
The meta object id for the '`Collection Operation Call Exp`' class.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__ARGUMENTS`
The feature id for the 'Arguments' containment reference list.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__OPERATION_NAME`
The feature id for the 'Operation Name' attribute.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`COLLECTION_OPERATION_CALL_EXP_FEATURE_COUNT`
The number of structural features of the 'Collection Operation Call Exp' class.
`static final int`
`COLLECTION_TYPE`
The meta object id for the '`Collection Type`' class.
`static final int`
`COLLECTION_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`COLLECTION_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`COLLECTION_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`COLLECTION_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`COLLECTION_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`COLLECTION_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`COLLECTION_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`COLLECTION_TYPE__ELEMENT_TYPE`
The feature id for the 'Element Type' containment reference.
`static final int`
`COLLECTION_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`COLLECTION_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`COLLECTION_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`COLLECTION_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`COLLECTION_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`COLLECTION_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`COLLECTION_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`COLLECTION_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`COLLECTION_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`COLLECTION_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`COLLECTION_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`COLLECTION_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`COLLECTION_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`COLLECTION_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`COLLECTION_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`COLLECTION_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`COLLECTION_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`COLLECTION_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`COLLECTION_TYPE_FEATURE_COUNT`
The number of structural features of the 'Collection Type' class.
`static final OCLPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`ENUM_LITERAL_EXP`
The meta object id for the '`Enum Literal Exp`' class.
`static final int`
`ENUM_LITERAL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`ENUM_LITERAL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`ENUM_LITERAL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ENUM_LITERAL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ENUM_LITERAL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`ENUM_LITERAL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`ENUM_LITERAL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`ENUM_LITERAL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`ENUM_LITERAL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`ENUM_LITERAL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ENUM_LITERAL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`ENUM_LITERAL_EXP__NAME`
The feature id for the 'Name' attribute.
`static final int`
`ENUM_LITERAL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`ENUM_LITERAL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`ENUM_LITERAL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`ENUM_LITERAL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ENUM_LITERAL_EXP_FEATURE_COUNT`
The number of structural features of the 'Enum Literal Exp' class.
`static final int`
`IF_EXP`
The meta object id for the '`If Exp`' class.
`static final int`
`IF_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`IF_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`IF_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`IF_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`IF_EXP__CONDITION`
The feature id for the 'Condition' containment reference.
`static final int`
`IF_EXP__ELSE_EXPRESSION`
The feature id for the 'Else Expression' containment reference.
`static final int`
`IF_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`IF_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`IF_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`IF_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`IF_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`IF_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`IF_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`IF_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`IF_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`IF_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`IF_EXP__THEN_EXPRESSION`
The feature id for the 'Then Expression' containment reference.
`static final int`
`IF_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`IF_EXP_FEATURE_COUNT`
The number of structural features of the 'If Exp' class.
`static final int`
`INTEGER_EXP`
The meta object id for the '`Integer Exp`' class.
`static final int`
`INTEGER_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`INTEGER_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`INTEGER_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`INTEGER_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`INTEGER_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`INTEGER_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`INTEGER_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`INTEGER_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`INTEGER_EXP__INTEGER_SYMBOL`
The feature id for the 'Integer Symbol' attribute.
`static final int`
`INTEGER_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`INTEGER_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`INTEGER_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`INTEGER_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`INTEGER_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`INTEGER_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`INTEGER_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`INTEGER_EXP_FEATURE_COUNT`
The number of structural features of the 'Integer Exp' class.
`static final int`
`INTEGER_TYPE`
The meta object id for the '`Integer Type`' class.
`static final int`
`INTEGER_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`INTEGER_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`INTEGER_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`INTEGER_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`INTEGER_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`INTEGER_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`INTEGER_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`INTEGER_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`INTEGER_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`INTEGER_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`INTEGER_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`INTEGER_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`INTEGER_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`INTEGER_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`INTEGER_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`INTEGER_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`INTEGER_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`INTEGER_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`INTEGER_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`INTEGER_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`INTEGER_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`INTEGER_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`INTEGER_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`INTEGER_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`INTEGER_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`INTEGER_TYPE_FEATURE_COUNT`
The number of structural features of the 'Integer Type' class.
`static final int`
`ITERATE_EXP`
The meta object id for the '`Iterate Exp`' class.
`static final int`
`ITERATE_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`ITERATE_EXP__BODY`
The feature id for the 'Body' containment reference.
`static final int`
`ITERATE_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`ITERATE_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ITERATE_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ITERATE_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`ITERATE_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`ITERATE_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`ITERATE_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`ITERATE_EXP__ITERATORS`
The feature id for the 'Iterators' containment reference list.
`static final int`
`ITERATE_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`ITERATE_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ITERATE_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`ITERATE_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`ITERATE_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`ITERATE_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`ITERATE_EXP__RESULT`
The feature id for the 'Result' containment reference.
`static final int`
`ITERATE_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`ITERATE_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ITERATE_EXP_FEATURE_COUNT`
The number of structural features of the 'Iterate Exp' class.
`static final int`
`ITERATOR`
The meta object id for the '`Iterator`' class.
`static final int`
`ITERATOR__BASE_EXP`
The feature id for the 'Base Exp' container reference.
`static final int`
`ITERATOR__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ITERATOR__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ITERATOR__ID`
The feature id for the 'Id' attribute.
`static final int`
`ITERATOR__INIT_EXPRESSION`
The feature id for the 'Init Expression' containment reference.
`static final int`
`ITERATOR__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`ITERATOR__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ITERATOR__LOOP_EXPR`
The feature id for the 'Loop Expr' container reference.
`static final int`
`ITERATOR__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ITERATOR__VAR_NAME`
The feature id for the 'Var Name' attribute.
`static final int`
`ITERATOR__VARIABLE_EXP`
The feature id for the 'Variable Exp' reference list.
`static final int`
`ITERATOR_EXP`
The meta object id for the '`Iterator Exp`' class.
`static final int`
`ITERATOR_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`ITERATOR_EXP__BODY`
The feature id for the 'Body' containment reference.
`static final int`
`ITERATOR_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`ITERATOR_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ITERATOR_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ITERATOR_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`ITERATOR_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`ITERATOR_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`ITERATOR_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`ITERATOR_EXP__ITERATORS`
The feature id for the 'Iterators' containment reference list.
`static final int`
`ITERATOR_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`ITERATOR_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ITERATOR_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`ITERATOR_EXP__NAME`
The feature id for the 'Name' attribute.
`static final int`
`ITERATOR_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`ITERATOR_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`ITERATOR_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`ITERATOR_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`ITERATOR_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ITERATOR_EXP_FEATURE_COUNT`
The number of structural features of the 'Iterator Exp' class.
`static final int`
`ITERATOR_FEATURE_COUNT`
The number of structural features of the 'Iterator' class.
`static final int`
`LET_EXP`
The meta object id for the '`Let Exp`' class.
`static final int`
`LET_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`LET_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`LET_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`LET_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`LET_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`LET_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`LET_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`LET_EXP__IN_`
The feature id for the 'In ' containment reference.
`static final int`
`LET_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`LET_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`LET_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`LET_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`LET_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`LET_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`LET_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`LET_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`LET_EXP__VARIABLE`
The feature id for the 'Variable' containment reference.
`static final int`
`LET_EXP_FEATURE_COUNT`
The number of structural features of the 'Let Exp' class.
`static final int`
`LOOP_EXP`
The meta object id for the '`Loop Exp`' class.
`static final int`
`LOOP_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`LOOP_EXP__BODY`
The feature id for the 'Body' containment reference.
`static final int`
`LOOP_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`LOOP_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`LOOP_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`LOOP_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`LOOP_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`LOOP_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`LOOP_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`LOOP_EXP__ITERATORS`
The feature id for the 'Iterators' containment reference list.
`static final int`
`LOOP_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`LOOP_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`LOOP_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`LOOP_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`LOOP_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`LOOP_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`LOOP_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`LOOP_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`LOOP_EXP_FEATURE_COUNT`
The number of structural features of the 'Loop Exp' class.
`static final int`
`MAP_ELEMENT`
The meta object id for the '`Map Element`' class.
`static final int`
`MAP_ELEMENT__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`MAP_ELEMENT__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`MAP_ELEMENT__KEY`
The feature id for the 'Key' containment reference.
`static final int`
`MAP_ELEMENT__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`MAP_ELEMENT__MAP`
The feature id for the 'Map' container reference.
`static final int`
`MAP_ELEMENT__VALUE`
The feature id for the 'Value' containment reference.
`static final int`
`MAP_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Map Element' class.
`static final int`
`MAP_EXP`
The meta object id for the '`Map Exp`' class.
`static final int`
`MAP_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`MAP_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`MAP_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`MAP_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`MAP_EXP__ELEMENTS`
The feature id for the 'Elements' containment reference list.
`static final int`
`MAP_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`MAP_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`MAP_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`MAP_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`MAP_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`MAP_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`MAP_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`MAP_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`MAP_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`MAP_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`MAP_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`MAP_EXP_FEATURE_COUNT`
The number of structural features of the 'Map Exp' class.
`static final int`
`MAP_TYPE`
The meta object id for the '`Map Type`' class.
`static final int`
`MAP_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`MAP_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`MAP_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`MAP_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`MAP_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`MAP_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`MAP_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`MAP_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`MAP_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`MAP_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`MAP_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`MAP_TYPE__KEY_TYPE`
The feature id for the 'Key Type' containment reference.
`static final int`
`MAP_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`MAP_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`MAP_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`MAP_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`MAP_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`MAP_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`MAP_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`MAP_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`MAP_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`MAP_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`MAP_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`MAP_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`MAP_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`MAP_TYPE__VALUE_TYPE`
The feature id for the 'Value Type' containment reference.
`static final int`
`MAP_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`MAP_TYPE_FEATURE_COUNT`
The number of structural features of the 'Map Type' class.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP`
The meta object id for the '`Navigation Or Attribute Call Exp`' class.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__NAME`
The feature id for the 'Name' attribute.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`NAVIGATION_OR_ATTRIBUTE_CALL_EXP_FEATURE_COUNT`
The number of structural features of the 'Navigation Or Attribute Call Exp' class.
`static final int`
`NUMERIC_EXP`
The meta object id for the '`Numeric Exp`' class.
`static final int`
`NUMERIC_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`NUMERIC_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`NUMERIC_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`NUMERIC_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`NUMERIC_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`NUMERIC_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`NUMERIC_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`NUMERIC_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`NUMERIC_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`NUMERIC_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`NUMERIC_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`NUMERIC_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`NUMERIC_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`NUMERIC_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`NUMERIC_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`NUMERIC_EXP_FEATURE_COUNT`
The number of structural features of the 'Numeric Exp' class.
`static final int`
`NUMERIC_TYPE`
The meta object id for the '`Numeric Type`' class.
`static final int`
`NUMERIC_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`NUMERIC_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`NUMERIC_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`NUMERIC_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`NUMERIC_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`NUMERIC_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`NUMERIC_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`NUMERIC_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`NUMERIC_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`NUMERIC_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`NUMERIC_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`NUMERIC_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`NUMERIC_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`NUMERIC_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`NUMERIC_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`NUMERIC_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`NUMERIC_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`NUMERIC_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`NUMERIC_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`NUMERIC_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`NUMERIC_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`NUMERIC_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`NUMERIC_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`NUMERIC_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`NUMERIC_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`NUMERIC_TYPE_FEATURE_COUNT`
The number of structural features of the 'Numeric Type' class.
`static final int`
`OCL_ANY_TYPE`
The meta object id for the '`Ocl Any Type`' class.
`static final int`
`OCL_ANY_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OCL_ANY_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`OCL_ANY_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OCL_ANY_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`OCL_ANY_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_ANY_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_ANY_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`OCL_ANY_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OCL_ANY_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OCL_ANY_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OCL_ANY_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OCL_ANY_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OCL_ANY_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_ANY_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OCL_ANY_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`OCL_ANY_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`OCL_ANY_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OCL_ANY_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`OCL_ANY_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`OCL_ANY_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OCL_ANY_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OCL_ANY_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OCL_ANY_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`OCL_ANY_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OCL_ANY_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`OCL_ANY_TYPE_FEATURE_COUNT`
The number of structural features of the 'Ocl Any Type' class.
`static final int`
`OCL_CONTEXT_DEFINITION`
The meta object id for the '`Ocl Context Definition`' class.
`static final int`
`OCL_CONTEXT_DEFINITION__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_CONTEXT_DEFINITION__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_CONTEXT_DEFINITION__CONTEXT_`
The feature id for the 'Context ' containment reference.
`static final int`
`OCL_CONTEXT_DEFINITION__DEFINITION`
The feature id for the 'Definition' container reference.
`static final int`
`OCL_CONTEXT_DEFINITION__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_CONTEXT_DEFINITION_FEATURE_COUNT`
The number of structural features of the 'Ocl Context Definition' class.
`static final int`
`OCL_EXPRESSION`
The meta object id for the '`Ocl Expression`' class.
`static final int`
`OCL_EXPRESSION__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OCL_EXPRESSION__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OCL_EXPRESSION__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_EXPRESSION__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_EXPRESSION__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OCL_EXPRESSION__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OCL_EXPRESSION__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OCL_EXPRESSION__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OCL_EXPRESSION__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OCL_EXPRESSION__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_EXPRESSION__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OCL_EXPRESSION__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OCL_EXPRESSION__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OCL_EXPRESSION__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OCL_EXPRESSION__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OCL_EXPRESSION_FEATURE_COUNT`
The number of structural features of the 'Ocl Expression' class.
`static final int`
`OCL_FEATURE`
The meta object id for the '`Ocl Feature`' class.
`static final int`
`OCL_FEATURE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_FEATURE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_FEATURE__DEFINITION`
The feature id for the 'Definition' container reference.
`static final int`
`OCL_FEATURE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_FEATURE_DEFINITION`
The meta object id for the '`Ocl Feature Definition`' class.
`static final int`
`OCL_FEATURE_DEFINITION__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_FEATURE_DEFINITION__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_FEATURE_DEFINITION__CONTEXT_`
The feature id for the 'Context ' containment reference.
`static final int`
`OCL_FEATURE_DEFINITION__FEATURE`
The feature id for the 'Feature' containment reference.
`static final int`
`OCL_FEATURE_DEFINITION__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_FEATURE_DEFINITION_FEATURE_COUNT`
The number of structural features of the 'Ocl Feature Definition' class.
`static final int`
`OCL_FEATURE_FEATURE_COUNT`
The number of structural features of the 'Ocl Feature' class.
`static final int`
`OCL_MODEL`
The meta object id for the '`Ocl Model`' class.
`static final int`
`OCL_MODEL__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_MODEL__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_MODEL__ELEMENTS`
The feature id for the 'Elements' reference list.
`static final int`
`OCL_MODEL__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_MODEL__METAMODEL`
The feature id for the 'Metamodel' reference.
`static final int`
`OCL_MODEL__MODEL`
The feature id for the 'Model' reference list.
`static final int`
`OCL_MODEL__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OCL_MODEL_ELEMENT`
The meta object id for the '`Ocl Model Element`' class.
`static final int`
`OCL_MODEL_ELEMENT__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OCL_MODEL_ELEMENT__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`OCL_MODEL_ELEMENT__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OCL_MODEL_ELEMENT__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`OCL_MODEL_ELEMENT__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_MODEL_ELEMENT__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_MODEL_ELEMENT__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`OCL_MODEL_ELEMENT__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OCL_MODEL_ELEMENT__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OCL_MODEL_ELEMENT__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OCL_MODEL_ELEMENT__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OCL_MODEL_ELEMENT__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OCL_MODEL_ELEMENT__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_MODEL_ELEMENT__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OCL_MODEL_ELEMENT__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`OCL_MODEL_ELEMENT__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`OCL_MODEL_ELEMENT__MODEL`
The feature id for the 'Model' reference.
`static final int`
`OCL_MODEL_ELEMENT__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OCL_MODEL_ELEMENT__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`OCL_MODEL_ELEMENT__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`OCL_MODEL_ELEMENT__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OCL_MODEL_ELEMENT__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OCL_MODEL_ELEMENT__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OCL_MODEL_ELEMENT__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`OCL_MODEL_ELEMENT__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OCL_MODEL_ELEMENT__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`OCL_MODEL_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Ocl Model Element' class.
`static final int`
`OCL_MODEL_FEATURE_COUNT`
The number of structural features of the 'Ocl Model' class.
`static final int`
`OCL_TYPE`
The meta object id for the '`Ocl Type`' class.
`static final int`
`OCL_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OCL_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`OCL_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OCL_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`OCL_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`OCL_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OCL_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OCL_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OCL_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OCL_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OCL_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OCL_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`OCL_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`OCL_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OCL_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`OCL_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`OCL_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OCL_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OCL_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OCL_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`OCL_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OCL_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`OCL_TYPE_FEATURE_COUNT`
The number of structural features of the 'Ocl Type' class.
`static final int`
`OCL_UNDEFINED_EXP`
The meta object id for the '`Ocl Undefined Exp`' class.
`static final int`
`OCL_UNDEFINED_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OCL_UNDEFINED_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OCL_UNDEFINED_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OCL_UNDEFINED_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OCL_UNDEFINED_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OCL_UNDEFINED_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OCL_UNDEFINED_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OCL_UNDEFINED_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OCL_UNDEFINED_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OCL_UNDEFINED_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OCL_UNDEFINED_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OCL_UNDEFINED_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OCL_UNDEFINED_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OCL_UNDEFINED_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OCL_UNDEFINED_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OCL_UNDEFINED_EXP_FEATURE_COUNT`
The number of structural features of the 'Ocl Undefined Exp' class.
`static final int`
`OPERATION`
The meta object id for the '`Operation`' class.
`static final int`
`OPERATION__BODY`
The feature id for the 'Body' containment reference.
`static final int`
`OPERATION__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OPERATION__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OPERATION__DEFINITION`
The feature id for the 'Definition' container reference.
`static final int`
`OPERATION__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OPERATION__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OPERATION__PARAMETERS`
The feature id for the 'Parameters' containment reference list.
`static final int`
`OPERATION__RETURN_TYPE`
The feature id for the 'Return Type' containment reference.
`static final int`
`OPERATION_CALL_EXP`
The meta object id for the '`Operation Call Exp`' class.
`static final int`
`OPERATION_CALL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OPERATION_CALL_EXP__ARGUMENTS`
The feature id for the 'Arguments' containment reference list.
`static final int`
`OPERATION_CALL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OPERATION_CALL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OPERATION_CALL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OPERATION_CALL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OPERATION_CALL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OPERATION_CALL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OPERATION_CALL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OPERATION_CALL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OPERATION_CALL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OPERATION_CALL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OPERATION_CALL_EXP__OPERATION_NAME`
The feature id for the 'Operation Name' attribute.
`static final int`
`OPERATION_CALL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OPERATION_CALL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OPERATION_CALL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OPERATION_CALL_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`OPERATION_CALL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OPERATION_CALL_EXP_FEATURE_COUNT`
The number of structural features of the 'Operation Call Exp' class.
`static final int`
`OPERATION_FEATURE_COUNT`
The number of structural features of the 'Operation' class.
`static final int`
`OPERATOR_CALL_EXP`
The meta object id for the '`Operator Call Exp`' class.
`static final int`
`OPERATOR_CALL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`OPERATOR_CALL_EXP__ARGUMENTS`
The feature id for the 'Arguments' containment reference list.
`static final int`
`OPERATOR_CALL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`OPERATOR_CALL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`OPERATOR_CALL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`OPERATOR_CALL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`OPERATOR_CALL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`OPERATOR_CALL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`OPERATOR_CALL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`OPERATOR_CALL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`OPERATOR_CALL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`OPERATOR_CALL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`OPERATOR_CALL_EXP__OPERATION_NAME`
The feature id for the 'Operation Name' attribute.
`static final int`
`OPERATOR_CALL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`OPERATOR_CALL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`OPERATOR_CALL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`OPERATOR_CALL_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`OPERATOR_CALL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`OPERATOR_CALL_EXP_FEATURE_COUNT`
The number of structural features of the 'Operator Call Exp' class.
`static final int`
`ORDERED_SET_EXP`
The meta object id for the '`Ordered Set Exp`' class.
`static final int`
`ORDERED_SET_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`ORDERED_SET_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`ORDERED_SET_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ORDERED_SET_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ORDERED_SET_EXP__ELEMENTS`
The feature id for the 'Elements' containment reference list.
`static final int`
`ORDERED_SET_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`ORDERED_SET_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`ORDERED_SET_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`ORDERED_SET_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`ORDERED_SET_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`ORDERED_SET_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ORDERED_SET_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`ORDERED_SET_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`ORDERED_SET_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`ORDERED_SET_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`ORDERED_SET_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ORDERED_SET_EXP_FEATURE_COUNT`
The number of structural features of the 'Ordered Set Exp' class.
`static final int`
`ORDERED_SET_TYPE`
The meta object id for the '`Ordered Set Type`' class.
`static final int`
`ORDERED_SET_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`ORDERED_SET_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`ORDERED_SET_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`ORDERED_SET_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`ORDERED_SET_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`ORDERED_SET_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`ORDERED_SET_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`ORDERED_SET_TYPE__ELEMENT_TYPE`
The feature id for the 'Element Type' containment reference.
`static final int`
`ORDERED_SET_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`ORDERED_SET_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`ORDERED_SET_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`ORDERED_SET_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`ORDERED_SET_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`ORDERED_SET_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`ORDERED_SET_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`ORDERED_SET_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`ORDERED_SET_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`ORDERED_SET_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`ORDERED_SET_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`ORDERED_SET_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`ORDERED_SET_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`ORDERED_SET_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`ORDERED_SET_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`ORDERED_SET_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`ORDERED_SET_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`ORDERED_SET_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`ORDERED_SET_TYPE_FEATURE_COUNT`
The number of structural features of the 'Ordered Set Type' class.
`static final int`
`PARAMETER`
The meta object id for the '`Parameter`' class.
`static final int`
`PARAMETER__BASE_EXP`
The feature id for the 'Base Exp' container reference.
`static final int`
`PARAMETER__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`PARAMETER__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`PARAMETER__ID`
The feature id for the 'Id' attribute.
`static final int`
`PARAMETER__INIT_EXPRESSION`
The feature id for the 'Init Expression' containment reference.
`static final int`
`PARAMETER__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`PARAMETER__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`PARAMETER__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`PARAMETER__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`PARAMETER__VAR_NAME`
The feature id for the 'Var Name' attribute.
`static final int`
`PARAMETER__VARIABLE_EXP`
The feature id for the 'Variable Exp' reference list.
`static final int`
`PARAMETER_FEATURE_COUNT`
The number of structural features of the 'Parameter' class.
`static final int`
`PRIMITIVE`
The meta object id for the '`Primitive`' class.
`static final int`
`PRIMITIVE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`PRIMITIVE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`PRIMITIVE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`PRIMITIVE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`PRIMITIVE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`PRIMITIVE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`PRIMITIVE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`PRIMITIVE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`PRIMITIVE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`PRIMITIVE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`PRIMITIVE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`PRIMITIVE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`PRIMITIVE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`PRIMITIVE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`PRIMITIVE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`PRIMITIVE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`PRIMITIVE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`PRIMITIVE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`PRIMITIVE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`PRIMITIVE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`PRIMITIVE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`PRIMITIVE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`PRIMITIVE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`PRIMITIVE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`PRIMITIVE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`PRIMITIVE_EXP`
The meta object id for the '`Primitive Exp`' class.
`static final int`
`PRIMITIVE_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`PRIMITIVE_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`PRIMITIVE_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`PRIMITIVE_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`PRIMITIVE_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`PRIMITIVE_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`PRIMITIVE_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`PRIMITIVE_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`PRIMITIVE_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`PRIMITIVE_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`PRIMITIVE_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`PRIMITIVE_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`PRIMITIVE_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`PRIMITIVE_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`PRIMITIVE_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`PRIMITIVE_EXP_FEATURE_COUNT`
The number of structural features of the 'Primitive Exp' class.
`static final int`
`PRIMITIVE_FEATURE_COUNT`
The number of structural features of the 'Primitive' class.
`static final int`
`PROPERTY_CALL_EXP`
The meta object id for the '`Property Call Exp`' class.
`static final int`
`PROPERTY_CALL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`PROPERTY_CALL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`PROPERTY_CALL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`PROPERTY_CALL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`PROPERTY_CALL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`PROPERTY_CALL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`PROPERTY_CALL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`PROPERTY_CALL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`PROPERTY_CALL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`PROPERTY_CALL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`PROPERTY_CALL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`PROPERTY_CALL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`PROPERTY_CALL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`PROPERTY_CALL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`PROPERTY_CALL_EXP__SOURCE`
The feature id for the 'Source' containment reference.
`static final int`
`PROPERTY_CALL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`PROPERTY_CALL_EXP_FEATURE_COUNT`
The number of structural features of the 'Property Call Exp' class.
`static final int`
`REAL_EXP`
The meta object id for the '`Real Exp`' class.
`static final int`
`REAL_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`REAL_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`REAL_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`REAL_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`REAL_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`REAL_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`REAL_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`REAL_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`REAL_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`REAL_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`REAL_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`REAL_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`REAL_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`REAL_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`REAL_EXP__REAL_SYMBOL`
The feature id for the 'Real Symbol' attribute.
`static final int`
`REAL_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`REAL_EXP_FEATURE_COUNT`
The number of structural features of the 'Real Exp' class.
`static final int`
`REAL_TYPE`
The meta object id for the '`Real Type`' class.
`static final int`
`REAL_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`REAL_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`REAL_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`REAL_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`REAL_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`REAL_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`REAL_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`REAL_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`REAL_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`REAL_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`REAL_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`REAL_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`REAL_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`REAL_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`REAL_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`REAL_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`REAL_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`REAL_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`REAL_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`REAL_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`REAL_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`REAL_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`REAL_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`REAL_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`REAL_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`REAL_TYPE_FEATURE_COUNT`
The number of structural features of the 'Real Type' class.
`static final int`
`SEQUENCE_EXP`
The meta object id for the '`Sequence Exp`' class.
`static final int`
`SEQUENCE_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`SEQUENCE_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`SEQUENCE_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`SEQUENCE_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`SEQUENCE_EXP__ELEMENTS`
The feature id for the 'Elements' containment reference list.
`static final int`
`SEQUENCE_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`SEQUENCE_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`SEQUENCE_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`SEQUENCE_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`SEQUENCE_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`SEQUENCE_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`SEQUENCE_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`SEQUENCE_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`SEQUENCE_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`SEQUENCE_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`SEQUENCE_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`SEQUENCE_EXP_FEATURE_COUNT`
The number of structural features of the 'Sequence Exp' class.
`static final int`
`SEQUENCE_TYPE`
The meta object id for the '`Sequence Type`' class.
`static final int`
`SEQUENCE_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`SEQUENCE_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`SEQUENCE_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`SEQUENCE_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`SEQUENCE_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`SEQUENCE_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`SEQUENCE_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`SEQUENCE_TYPE__ELEMENT_TYPE`
The feature id for the 'Element Type' containment reference.
`static final int`
`SEQUENCE_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`SEQUENCE_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`SEQUENCE_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`SEQUENCE_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`SEQUENCE_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`SEQUENCE_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`SEQUENCE_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`SEQUENCE_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`SEQUENCE_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`SEQUENCE_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`SEQUENCE_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`SEQUENCE_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`SEQUENCE_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`SEQUENCE_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`SEQUENCE_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`SEQUENCE_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`SEQUENCE_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`SEQUENCE_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`SEQUENCE_TYPE_FEATURE_COUNT`
The number of structural features of the 'Sequence Type' class.
`static final int`
`SET_EXP`
The meta object id for the '`Set Exp`' class.
`static final int`
`SET_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`SET_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`SET_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`SET_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`SET_EXP__ELEMENTS`
The feature id for the 'Elements' containment reference list.
`static final int`
`SET_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`SET_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`SET_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`SET_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`SET_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`SET_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`SET_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`SET_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`SET_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`SET_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`SET_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`SET_EXP_FEATURE_COUNT`
The number of structural features of the 'Set Exp' class.
`static final int`
`SET_TYPE`
The meta object id for the '`Set Type`' class.
`static final int`
`SET_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`SET_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`SET_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`SET_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`SET_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`SET_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`SET_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`SET_TYPE__ELEMENT_TYPE`
The feature id for the 'Element Type' containment reference.
`static final int`
`SET_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`SET_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`SET_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`SET_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`SET_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`SET_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`SET_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`SET_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`SET_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`SET_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`SET_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`SET_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`SET_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`SET_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`SET_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`SET_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`SET_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`SET_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`SET_TYPE_FEATURE_COUNT`
The number of structural features of the 'Set Type' class.
`static final int`
`STRING_EXP`
The meta object id for the '`String Exp`' class.
`static final int`
`STRING_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`STRING_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`STRING_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`STRING_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`STRING_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`STRING_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`STRING_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`STRING_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`STRING_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`STRING_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`STRING_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`STRING_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`STRING_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`STRING_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`STRING_EXP__STRING_SYMBOL`
The feature id for the 'String Symbol' attribute.
`static final int`
`STRING_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`STRING_EXP_FEATURE_COUNT`
The number of structural features of the 'String Exp' class.
`static final int`
`STRING_TYPE`
The meta object id for the '`String Type`' class.
`static final int`
`STRING_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`STRING_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`STRING_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`STRING_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`STRING_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`STRING_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`STRING_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`STRING_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`STRING_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`STRING_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`STRING_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`STRING_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`STRING_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`STRING_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`STRING_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`STRING_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`STRING_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`STRING_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`STRING_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`STRING_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`STRING_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`STRING_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`STRING_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`STRING_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`STRING_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`STRING_TYPE_FEATURE_COUNT`
The number of structural features of the 'String Type' class.
`static final int`
`SUPER_EXP`
The meta object id for the '`Super Exp`' class.
`static final int`
`SUPER_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`SUPER_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`SUPER_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`SUPER_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`SUPER_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`SUPER_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`SUPER_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`SUPER_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`SUPER_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`SUPER_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`SUPER_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`SUPER_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`SUPER_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`SUPER_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`SUPER_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`SUPER_EXP_FEATURE_COUNT`
The number of structural features of the 'Super Exp' class.
`static final int`
`TUPLE_EXP`
The meta object id for the '`Tuple Exp`' class.
`static final int`
`TUPLE_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`TUPLE_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`TUPLE_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`TUPLE_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`TUPLE_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`TUPLE_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`TUPLE_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`TUPLE_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`TUPLE_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`TUPLE_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`TUPLE_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`TUPLE_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`TUPLE_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`TUPLE_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`TUPLE_EXP__TUPLE_PART`
The feature id for the 'Tuple Part' containment reference list.
`static final int`
`TUPLE_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`TUPLE_EXP_FEATURE_COUNT`
The number of structural features of the 'Tuple Exp' class.
`static final int`
`TUPLE_PART`
The meta object id for the '`Tuple Part`' class.
`static final int`
`TUPLE_PART__BASE_EXP`
The feature id for the 'Base Exp' container reference.
`static final int`
`TUPLE_PART__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`TUPLE_PART__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`TUPLE_PART__ID`
The feature id for the 'Id' attribute.
`static final int`
`TUPLE_PART__INIT_EXPRESSION`
The feature id for the 'Init Expression' containment reference.
`static final int`
`TUPLE_PART__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`TUPLE_PART__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`TUPLE_PART__TUPLE`
The feature id for the 'Tuple' container reference.
`static final int`
`TUPLE_PART__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`TUPLE_PART__VAR_NAME`
The feature id for the 'Var Name' attribute.
`static final int`
`TUPLE_PART__VARIABLE_EXP`
The feature id for the 'Variable Exp' reference list.
`static final int`
`TUPLE_PART_FEATURE_COUNT`
The number of structural features of the 'Tuple Part' class.
`static final int`
`TUPLE_TYPE`
The meta object id for the '`Tuple Type`' class.
`static final int`
`TUPLE_TYPE__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`TUPLE_TYPE__ATTRIBUTE`
The feature id for the 'Attribute' container reference.
`static final int`
`TUPLE_TYPE__ATTRIBUTES`
The feature id for the 'Attributes' containment reference list.
`static final int`
`TUPLE_TYPE__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`TUPLE_TYPE__COLLECTION_TYPES`
The feature id for the 'Collection Types' container reference.
`static final int`
`TUPLE_TYPE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`TUPLE_TYPE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`TUPLE_TYPE__DEFINITIONS`
The feature id for the 'Definitions' container reference.
`static final int`
`TUPLE_TYPE__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`TUPLE_TYPE__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`TUPLE_TYPE__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`TUPLE_TYPE__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`TUPLE_TYPE__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`TUPLE_TYPE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`TUPLE_TYPE__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`TUPLE_TYPE__MAP_TYPE`
The feature id for the 'Map Type' container reference.
`static final int`
`TUPLE_TYPE__MAP_TYPE2`
The feature id for the 'Map Type2' container reference.
`static final int`
`TUPLE_TYPE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`TUPLE_TYPE__OCL_EXPRESSION`
The feature id for the 'Ocl Expression' container reference.
`static final int`
`TUPLE_TYPE__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`TUPLE_TYPE__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`TUPLE_TYPE__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`TUPLE_TYPE__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`TUPLE_TYPE__TUPLE_TYPE_ATTRIBUTE`
The feature id for the 'Tuple Type Attribute' container reference.
`static final int`
`TUPLE_TYPE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`TUPLE_TYPE__VARIABLE_DECLARATION`
The feature id for the 'Variable Declaration' container reference.
`static final int`
`TUPLE_TYPE_ATTRIBUTE`
The meta object id for the '`Tuple Type Attribute`' class.
`static final int`
`TUPLE_TYPE_ATTRIBUTE__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`TUPLE_TYPE_ATTRIBUTE__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`TUPLE_TYPE_ATTRIBUTE__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`TUPLE_TYPE_ATTRIBUTE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`TUPLE_TYPE_ATTRIBUTE__TUPLE_TYPE`
The feature id for the 'Tuple Type' container reference.
`static final int`
`TUPLE_TYPE_ATTRIBUTE__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`TUPLE_TYPE_ATTRIBUTE_FEATURE_COUNT`
The number of structural features of the 'Tuple Type Attribute' class.
`static final int`
`TUPLE_TYPE_FEATURE_COUNT`
The number of structural features of the 'Tuple Type' class.
`static final int`
`VARIABLE_DECLARATION`
The meta object id for the '`Variable Declaration`' class.
`static final int`
`VARIABLE_DECLARATION__BASE_EXP`
The feature id for the 'Base Exp' container reference.
`static final int`
`VARIABLE_DECLARATION__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`VARIABLE_DECLARATION__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`VARIABLE_DECLARATION__ID`
The feature id for the 'Id' attribute.
`static final int`
`VARIABLE_DECLARATION__INIT_EXPRESSION`
The feature id for the 'Init Expression' containment reference.
`static final int`
`VARIABLE_DECLARATION__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`VARIABLE_DECLARATION__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`VARIABLE_DECLARATION__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`VARIABLE_DECLARATION__VAR_NAME`
The feature id for the 'Var Name' attribute.
`static final int`
`VARIABLE_DECLARATION__VARIABLE_EXP`
The feature id for the 'Variable Exp' reference list.
`static final int`
`VARIABLE_DECLARATION_FEATURE_COUNT`
The number of structural features of the 'Variable Declaration' class.
`static final int`
`VARIABLE_EXP`
The meta object id for the '`Variable Exp`' class.
`static final int`
`VARIABLE_EXP__APPLIED_PROPERTY`
The feature id for the 'Applied Property' container reference.
`static final int`
`VARIABLE_EXP__COLLECTION`
The feature id for the 'Collection' container reference.
`static final int`
`VARIABLE_EXP__COMMENTS_AFTER`
The feature id for the 'Comments After' attribute list.
`static final int`
`VARIABLE_EXP__COMMENTS_BEFORE`
The feature id for the 'Comments Before' attribute list.
`static final int`
`VARIABLE_EXP__IF_EXP1`
The feature id for the 'If Exp1' container reference.
`static final int`
`VARIABLE_EXP__IF_EXP2`
The feature id for the 'If Exp2' container reference.
`static final int`
`VARIABLE_EXP__IF_EXP3`
The feature id for the 'If Exp3' container reference.
`static final int`
`VARIABLE_EXP__INITIALIZED_VARIABLE`
The feature id for the 'Initialized Variable' container reference.
`static final int`
`VARIABLE_EXP__LET_EXP`
The feature id for the 'Let Exp' container reference.
`static final int`
`VARIABLE_EXP__LOCATION`
The feature id for the 'Location' attribute.
`static final int`
`VARIABLE_EXP__LOOP_EXP`
The feature id for the 'Loop Exp' container reference.
`static final int`
`VARIABLE_EXP__OWNING_ATTRIBUTE`
The feature id for the 'Owning Attribute' container reference.
`static final int`
`VARIABLE_EXP__OWNING_OPERATION`
The feature id for the 'Owning Operation' container reference.
`static final int`
`VARIABLE_EXP__PARENT_OPERATION`
The feature id for the 'Parent Operation' container reference.
`static final int`
`VARIABLE_EXP__REFERRED_VARIABLE`
The feature id for the 'Referred Variable' reference.
`static final int`
`VARIABLE_EXP__TYPE`
The feature id for the 'Type' containment reference.
`static final int`
`VARIABLE_EXP_FEATURE_COUNT`
The number of structural features of the 'Variable Exp' class.

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAttribute()`
Returns the meta object for class '`Attribute`'.
`org.eclipse.emf.ecore.EReference`
`getAttribute_InitExpression()`
Returns the meta object for the containment reference '`Init Expression`'.
`org.eclipse.emf.ecore.EAttribute`
`getAttribute_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference`
`getAttribute_Type()`
Returns the meta object for the containment reference '`Type`'.
`org.eclipse.emf.ecore.EClass`
`getBagExp()`
Returns the meta object for class '`Bag Exp`'.
`org.eclipse.emf.ecore.EClass`
`getBagType()`
Returns the meta object for class '`Bag Type`'.
`org.eclipse.emf.ecore.EClass`
`getBooleanExp()`
Returns the meta object for class '`Boolean Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getBooleanExp_BooleanSymbol()`
Returns the meta object for the attribute '`Boolean Symbol`'.
`org.eclipse.emf.ecore.EClass`
`getBooleanType()`
Returns the meta object for class '`Boolean Type`'.
`org.eclipse.emf.ecore.EClass`
`getCollectionExp()`
Returns the meta object for class '`Collection Exp`'.
`org.eclipse.emf.ecore.EReference`
`getCollectionExp_Elements()`
Returns the meta object for the containment reference list '`Elements`'.
`org.eclipse.emf.ecore.EClass`
`getCollectionOperationCallExp()`
Returns the meta object for class '`Collection Operation Call Exp`'.
`org.eclipse.emf.ecore.EClass`
`getCollectionType()`
Returns the meta object for class '`Collection Type`'.
`org.eclipse.emf.ecore.EReference`
`getCollectionType_ElementType()`
Returns the meta object for the containment reference '`Element Type`'.
`org.eclipse.emf.ecore.EClass`
`getEnumLiteralExp()`
Returns the meta object for class '`Enum Literal Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getEnumLiteralExp_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass`
`getIfExp()`
Returns the meta object for class '`If Exp`'.
`org.eclipse.emf.ecore.EReference`
`getIfExp_Condition()`
Returns the meta object for the containment reference '`Condition`'.
`org.eclipse.emf.ecore.EReference`
`getIfExp_ElseExpression()`
Returns the meta object for the containment reference '`Else Expression`'.
`org.eclipse.emf.ecore.EReference`
`getIfExp_ThenExpression()`
Returns the meta object for the containment reference '`Then Expression`'.
`org.eclipse.emf.ecore.EClass`
`getIntegerExp()`
Returns the meta object for class '`Integer Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getIntegerExp_IntegerSymbol()`
Returns the meta object for the attribute '`Integer Symbol`'.
`org.eclipse.emf.ecore.EClass`
`getIntegerType()`
Returns the meta object for class '`Integer Type`'.
`org.eclipse.emf.ecore.EClass`
`getIterateExp()`
Returns the meta object for class '`Iterate Exp`'.
`org.eclipse.emf.ecore.EReference`
`getIterateExp_Result()`
Returns the meta object for the containment reference '`Result`'.
`org.eclipse.emf.ecore.EClass`
`getIterator()`
Returns the meta object for class '`Iterator`'.
`org.eclipse.emf.ecore.EReference`
`getIterator_LoopExpr()`
Returns the meta object for the container reference '`Loop Expr`'.
`org.eclipse.emf.ecore.EClass`
`getIteratorExp()`
Returns the meta object for class '`Iterator Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getIteratorExp_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass`
`getLetExp()`
Returns the meta object for class '`Let Exp`'.
`org.eclipse.emf.ecore.EReference`
`getLetExp_In_()`
Returns the meta object for the containment reference '`In` '.
`org.eclipse.emf.ecore.EReference`
`getLetExp_Variable()`
Returns the meta object for the containment reference '`Variable`'.
`org.eclipse.emf.ecore.EClass`
`getLoopExp()`
Returns the meta object for class '`Loop Exp`'.
`org.eclipse.emf.ecore.EReference`
`getLoopExp_Body()`
Returns the meta object for the containment reference '`Body`'.
`org.eclipse.emf.ecore.EReference`
`getLoopExp_Iterators()`
Returns the meta object for the containment reference list '`Iterators`'.
`org.eclipse.emf.ecore.EClass`
`getMapElement()`
Returns the meta object for class '`Map Element`'.
`org.eclipse.emf.ecore.EReference`
`getMapElement_Key()`
Returns the meta object for the containment reference '`Key`'.
`org.eclipse.emf.ecore.EReference`
`getMapElement_Map()`
Returns the meta object for the container reference '`Map`'.
`org.eclipse.emf.ecore.EReference`
`getMapElement_Value()`
Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getMapExp()`
Returns the meta object for class '`Map Exp`'.
`org.eclipse.emf.ecore.EReference`
`getMapExp_Elements()`
Returns the meta object for the containment reference list '`Elements`'.
`org.eclipse.emf.ecore.EClass`
`getMapType()`
Returns the meta object for class '`Map Type`'.
`org.eclipse.emf.ecore.EReference`
`getMapType_KeyType()`
Returns the meta object for the containment reference '`Key Type`'.
`org.eclipse.emf.ecore.EReference`
`getMapType_ValueType()`
Returns the meta object for the containment reference '`Value Type`'.
`org.eclipse.emf.ecore.EClass`
`getNavigationOrAttributeCallExp()`
Returns the meta object for class '`Navigation Or Attribute Call Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getNavigationOrAttributeCallExp_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass`
`getNumericExp()`
Returns the meta object for class '`Numeric Exp`'.
`org.eclipse.emf.ecore.EClass`
`getNumericType()`
Returns the meta object for class '`Numeric Type`'.
`org.eclipse.emf.ecore.EClass`
`getOclAnyType()`
Returns the meta object for class '`Ocl Any Type`'.
`org.eclipse.emf.ecore.EClass`
`getOclContextDefinition()`
Returns the meta object for class '`Ocl Context Definition`'.
`org.eclipse.emf.ecore.EReference`
`getOclContextDefinition_Context_()`
Returns the meta object for the containment reference '`Context` '.
`org.eclipse.emf.ecore.EReference`
`getOclContextDefinition_Definition()`
Returns the meta object for the container reference '`Definition`'.
`org.eclipse.emf.ecore.EClass`
`getOclExpression()`
Returns the meta object for class '`Ocl Expression`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_AppliedProperty()`
Returns the meta object for the container reference '`Applied Property`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_Collection()`
Returns the meta object for the container reference '`Collection`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_IfExp1()`
Returns the meta object for the container reference '`If Exp1`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_IfExp2()`
Returns the meta object for the container reference '`If Exp2`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_IfExp3()`
Returns the meta object for the container reference '`If Exp3`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_InitializedVariable()`
Returns the meta object for the container reference '`Initialized Variable`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_LetExp()`
Returns the meta object for the container reference '`Let Exp`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_LoopExp()`
Returns the meta object for the container reference '`Loop Exp`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_OwningAttribute()`
Returns the meta object for the container reference '`Owning Attribute`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_OwningOperation()`
Returns the meta object for the container reference '`Owning Operation`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_ParentOperation()`
Returns the meta object for the container reference '`Parent Operation`'.
`org.eclipse.emf.ecore.EReference`
`getOclExpression_Type()`
Returns the meta object for the containment reference '`Type`'.
`OCLFactory`
`getOCLFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getOclFeature()`
Returns the meta object for class '`Ocl Feature`'.
`org.eclipse.emf.ecore.EReference`
`getOclFeature_Definition()`
Returns the meta object for the container reference '`Definition`'.
`org.eclipse.emf.ecore.EClass`
`getOclFeatureDefinition()`
Returns the meta object for class '`Ocl Feature Definition`'.
`org.eclipse.emf.ecore.EReference`
`getOclFeatureDefinition_Context_()`
Returns the meta object for the containment reference '`Context` '.
`org.eclipse.emf.ecore.EReference`
`getOclFeatureDefinition_Feature()`
Returns the meta object for the containment reference '`Feature`'.
`org.eclipse.emf.ecore.EClass`
`getOclModel()`
Returns the meta object for class '`Ocl Model`'.
`org.eclipse.emf.ecore.EReference`
`getOclModel_Elements()`
Returns the meta object for the reference list '`Elements`'.
`org.eclipse.emf.ecore.EReference`
`getOclModel_Metamodel()`
Returns the meta object for the reference '`Metamodel`'.
`org.eclipse.emf.ecore.EReference`
`getOclModel_Model()`
Returns the meta object for the reference list '`Model`'.
`org.eclipse.emf.ecore.EAttribute`
`getOclModel_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass`
`getOclModelElement()`
Returns the meta object for class '`Ocl Model Element`'.
`org.eclipse.emf.ecore.EReference`
`getOclModelElement_Model()`
Returns the meta object for the reference '`Model`'.
`org.eclipse.emf.ecore.EClass`
`getOclType()`
Returns the meta object for class '`Ocl Type`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_Attribute()`
Returns the meta object for the container reference '`Attribute`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_CollectionTypes()`
Returns the meta object for the container reference '`Collection Types`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_Definitions()`
Returns the meta object for the container reference '`Definitions`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_MapType()`
Returns the meta object for the container reference '`Map Type`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_MapType2()`
Returns the meta object for the container reference '`Map Type2`'.
`org.eclipse.emf.ecore.EAttribute`
`getOclType_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_OclExpression()`
Returns the meta object for the container reference '`Ocl Expression`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_Operation()`
Returns the meta object for the container reference '`Operation`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_TupleTypeAttribute()`
Returns the meta object for the container reference '`Tuple Type Attribute`'.
`org.eclipse.emf.ecore.EReference`
`getOclType_VariableDeclaration()`
Returns the meta object for the container reference '`Variable Declaration`'.
`org.eclipse.emf.ecore.EClass`
`getOclUndefinedExp()`
Returns the meta object for class '`Ocl Undefined Exp`'.
`org.eclipse.emf.ecore.EClass`
`getOperation()`
Returns the meta object for class '`Operation`'.
`org.eclipse.emf.ecore.EReference`
`getOperation_Body()`
Returns the meta object for the containment reference '`Body`'.
`org.eclipse.emf.ecore.EAttribute`
`getOperation_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference`
`getOperation_Parameters()`
Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EReference`
`getOperation_ReturnType()`
Returns the meta object for the containment reference '`Return Type`'.
`org.eclipse.emf.ecore.EClass`
`getOperationCallExp()`
Returns the meta object for class '`Operation Call Exp`'.
`org.eclipse.emf.ecore.EReference`
`getOperationCallExp_Arguments()`
Returns the meta object for the containment reference list '`Arguments`'.
`org.eclipse.emf.ecore.EAttribute`
`getOperationCallExp_OperationName()`
Returns the meta object for the attribute '`Operation Name`'.
`org.eclipse.emf.ecore.EClass`
`getOperatorCallExp()`
Returns the meta object for class '`Operator Call Exp`'.
`org.eclipse.emf.ecore.EClass`
`getOrderedSetExp()`
Returns the meta object for class '`Ordered Set Exp`'.
`org.eclipse.emf.ecore.EClass`
`getOrderedSetType()`
Returns the meta object for class '`Ordered Set Type`'.
`org.eclipse.emf.ecore.EClass`
`getParameter()`
Returns the meta object for class '`Parameter`'.
`org.eclipse.emf.ecore.EReference`
`getParameter_Operation()`
Returns the meta object for the container reference '`Operation`'.
`org.eclipse.emf.ecore.EClass`
`getPrimitive()`
Returns the meta object for class '`Primitive`'.
`org.eclipse.emf.ecore.EClass`
`getPrimitiveExp()`
Returns the meta object for class '`Primitive Exp`'.
`org.eclipse.emf.ecore.EClass`
`getPropertyCallExp()`
Returns the meta object for class '`Property Call Exp`'.
`org.eclipse.emf.ecore.EReference`
`getPropertyCallExp_Source()`
Returns the meta object for the containment reference '`Source`'.
`org.eclipse.emf.ecore.EClass`
`getRealExp()`
Returns the meta object for class '`Real Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getRealExp_RealSymbol()`
Returns the meta object for the attribute '`Real Symbol`'.
`org.eclipse.emf.ecore.EClass`
`getRealType()`
Returns the meta object for class '`Real Type`'.
`org.eclipse.emf.ecore.EClass`
`getSequenceExp()`
Returns the meta object for class '`Sequence Exp`'.
`org.eclipse.emf.ecore.EClass`
`getSequenceType()`
Returns the meta object for class '`Sequence Type`'.
`org.eclipse.emf.ecore.EClass`
`getSetExp()`
Returns the meta object for class '`Set Exp`'.
`org.eclipse.emf.ecore.EClass`
`getSetType()`
Returns the meta object for class '`Set Type`'.
`org.eclipse.emf.ecore.EClass`
`getStringExp()`
Returns the meta object for class '`String Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getStringExp_StringSymbol()`
Returns the meta object for the attribute '`String Symbol`'.
`org.eclipse.emf.ecore.EClass`
`getStringType()`
Returns the meta object for class '`String Type`'.
`org.eclipse.emf.ecore.EClass`
`getSuperExp()`
Returns the meta object for class '`Super Exp`'.
`org.eclipse.emf.ecore.EClass`
`getTupleExp()`
Returns the meta object for class '`Tuple Exp`'.
`org.eclipse.emf.ecore.EReference`
`getTupleExp_TuplePart()`
Returns the meta object for the containment reference list '`Tuple Part`'.
`org.eclipse.emf.ecore.EClass`
`getTuplePart()`
Returns the meta object for class '`Tuple Part`'.
`org.eclipse.emf.ecore.EReference`
`getTuplePart_Tuple()`
Returns the meta object for the container reference '`Tuple`'.
`org.eclipse.emf.ecore.EClass`
`getTupleType()`
Returns the meta object for class '`Tuple Type`'.
`org.eclipse.emf.ecore.EReference`
`getTupleType_Attributes()`
Returns the meta object for the containment reference list '`Attributes`'.
`org.eclipse.emf.ecore.EClass`
`getTupleTypeAttribute()`
Returns the meta object for class '`Tuple Type Attribute`'.
`org.eclipse.emf.ecore.EAttribute`
`getTupleTypeAttribute_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference`
`getTupleTypeAttribute_TupleType()`
Returns the meta object for the container reference '`Tuple Type`'.
`org.eclipse.emf.ecore.EReference`
`getTupleTypeAttribute_Type()`
Returns the meta object for the containment reference '`Type`'.
`org.eclipse.emf.ecore.EClass`
`getVariableDeclaration()`
Returns the meta object for class '`Variable Declaration`'.
`org.eclipse.emf.ecore.EReference`
`getVariableDeclaration_BaseExp()`
Returns the meta object for the container reference '`Base Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getVariableDeclaration_Id()`
Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EReference`
`getVariableDeclaration_InitExpression()`
Returns the meta object for the containment reference '`Init Expression`'.
`org.eclipse.emf.ecore.EReference`
`getVariableDeclaration_LetExp()`
Returns the meta object for the container reference '`Let Exp`'.
`org.eclipse.emf.ecore.EReference`
`getVariableDeclaration_Type()`
Returns the meta object for the containment reference '`Type`'.
`org.eclipse.emf.ecore.EReference`
`getVariableDeclaration_VariableExp()`
Returns the meta object for the reference list '`Variable Exp`'.
`org.eclipse.emf.ecore.EAttribute`
`getVariableDeclaration_VarName()`
Returns the meta object for the attribute '`Var Name`'.
`org.eclipse.emf.ecore.EClass`
`getVariableExp()`
Returns the meta object for class '`Variable Exp`'.
`org.eclipse.emf.ecore.EReference`
`getVariableExp_ReferredVariable()`
Returns the meta object for the reference '`Referred Variable`'.
`static OCLPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

public static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

public static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

public static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

public static final OCLPackage eINSTANCE
The singleton instance of the package.

### OCL_EXPRESSION

public static final int OCL_EXPRESSION
The meta object id for the '`Ocl Expression`' class.

See Also:
  - `OclExpression`
  - `getOclExpression()`
  - Constant Field Values

### OCL_EXPRESSION__LOCATION

public static final int OCL_EXPRESSION__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__COMMENTS_BEFORE

public static final int OCL_EXPRESSION__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__COMMENTS_AFTER

public static final int OCL_EXPRESSION__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__TYPE

public static final int OCL_EXPRESSION__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__IF_EXP3

public static final int OCL_EXPRESSION__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__APPLIED_PROPERTY

public static final int OCL_EXPRESSION__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__COLLECTION

public static final int OCL_EXPRESSION__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__LET_EXP

public static final int OCL_EXPRESSION__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__LOOP_EXP

public static final int OCL_EXPRESSION__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__PARENT_OPERATION

public static final int OCL_EXPRESSION__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__INITIALIZED_VARIABLE

public static final int OCL_EXPRESSION__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__IF_EXP2

public static final int OCL_EXPRESSION__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__OWNING_OPERATION

public static final int OCL_EXPRESSION__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__IF_EXP1

public static final int OCL_EXPRESSION__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION__OWNING_ATTRIBUTE

public static final int OCL_EXPRESSION__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_EXPRESSION_FEATURE_COUNT

public static final int OCL_EXPRESSION_FEATURE_COUNT
The number of structural features of the 'Ocl Expression' class.

See Also:
  - Constant Field Values

### VARIABLE_EXP

public static final int VARIABLE_EXP
The meta object id for the '`Variable Exp`' class.

See Also:
  - `VariableExp`
  - `getVariableExp()`
  - Constant Field Values

### VARIABLE_EXP__LOCATION

public static final int VARIABLE_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### VARIABLE_EXP__COMMENTS_BEFORE

public static final int VARIABLE_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### VARIABLE_EXP__COMMENTS_AFTER

public static final int VARIABLE_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### VARIABLE_EXP__TYPE

public static final int VARIABLE_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__IF_EXP3

public static final int VARIABLE_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__APPLIED_PROPERTY

public static final int VARIABLE_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__COLLECTION

public static final int VARIABLE_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__LET_EXP

public static final int VARIABLE_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__LOOP_EXP

public static final int VARIABLE_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__PARENT_OPERATION

public static final int VARIABLE_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__INITIALIZED_VARIABLE

public static final int VARIABLE_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__IF_EXP2

public static final int VARIABLE_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__OWNING_OPERATION

public static final int VARIABLE_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__IF_EXP1

public static final int VARIABLE_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__OWNING_ATTRIBUTE

public static final int VARIABLE_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP__REFERRED_VARIABLE

public static final int VARIABLE_EXP__REFERRED_VARIABLE
The feature id for the 'Referred Variable' reference.

See Also:
  - Constant Field Values

### VARIABLE_EXP_FEATURE_COUNT

public static final int VARIABLE_EXP_FEATURE_COUNT
The number of structural features of the 'Variable Exp' class.

See Also:
  - Constant Field Values

### SUPER_EXP

public static final int SUPER_EXP
The meta object id for the '`Super Exp`' class.

See Also:
  - `SuperExp`
  - `getSuperExp()`
  - Constant Field Values

### SUPER_EXP__LOCATION

public static final int SUPER_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### SUPER_EXP__COMMENTS_BEFORE

public static final int SUPER_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### SUPER_EXP__COMMENTS_AFTER

public static final int SUPER_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### SUPER_EXP__TYPE

public static final int SUPER_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### SUPER_EXP__IF_EXP3

public static final int SUPER_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__APPLIED_PROPERTY

public static final int SUPER_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__COLLECTION

public static final int SUPER_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__LET_EXP

public static final int SUPER_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__LOOP_EXP

public static final int SUPER_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__PARENT_OPERATION

public static final int SUPER_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__INITIALIZED_VARIABLE

public static final int SUPER_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__IF_EXP2

public static final int SUPER_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__OWNING_OPERATION

public static final int SUPER_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__IF_EXP1

public static final int SUPER_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP__OWNING_ATTRIBUTE

public static final int SUPER_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### SUPER_EXP_FEATURE_COUNT

public static final int SUPER_EXP_FEATURE_COUNT
The number of structural features of the 'Super Exp' class.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP

public static final int PRIMITIVE_EXP
The meta object id for the '`Primitive Exp`' class.

See Also:
  - `PrimitiveExp`
  - `getPrimitiveExp()`
  - Constant Field Values

### PRIMITIVE_EXP__LOCATION

public static final int PRIMITIVE_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__COMMENTS_BEFORE

public static final int PRIMITIVE_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__COMMENTS_AFTER

public static final int PRIMITIVE_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__TYPE

public static final int PRIMITIVE_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__IF_EXP3

public static final int PRIMITIVE_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__APPLIED_PROPERTY

public static final int PRIMITIVE_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__COLLECTION

public static final int PRIMITIVE_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__LET_EXP

public static final int PRIMITIVE_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__LOOP_EXP

public static final int PRIMITIVE_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__PARENT_OPERATION

public static final int PRIMITIVE_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__INITIALIZED_VARIABLE

public static final int PRIMITIVE_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__IF_EXP2

public static final int PRIMITIVE_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__OWNING_OPERATION

public static final int PRIMITIVE_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__IF_EXP1

public static final int PRIMITIVE_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP__OWNING_ATTRIBUTE

public static final int PRIMITIVE_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_EXP_FEATURE_COUNT

public static final int PRIMITIVE_EXP_FEATURE_COUNT
The number of structural features of the 'Primitive Exp' class.

See Also:
  - Constant Field Values

### STRING_EXP

public static final int STRING_EXP
The meta object id for the '`String Exp`' class.

See Also:
  - `StringExp`
  - `getStringExp()`
  - Constant Field Values

### STRING_EXP__LOCATION

public static final int STRING_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### STRING_EXP__COMMENTS_BEFORE

public static final int STRING_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### STRING_EXP__COMMENTS_AFTER

public static final int STRING_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### STRING_EXP__TYPE

public static final int STRING_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### STRING_EXP__IF_EXP3

public static final int STRING_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__APPLIED_PROPERTY

public static final int STRING_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__COLLECTION

public static final int STRING_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__LET_EXP

public static final int STRING_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__LOOP_EXP

public static final int STRING_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__PARENT_OPERATION

public static final int STRING_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__INITIALIZED_VARIABLE

public static final int STRING_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__IF_EXP2

public static final int STRING_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__OWNING_OPERATION

public static final int STRING_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__IF_EXP1

public static final int STRING_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__OWNING_ATTRIBUTE

public static final int STRING_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### STRING_EXP__STRING_SYMBOL

public static final int STRING_EXP__STRING_SYMBOL
The feature id for the 'String Symbol' attribute.

See Also:
  - Constant Field Values

### STRING_EXP_FEATURE_COUNT

public static final int STRING_EXP_FEATURE_COUNT
The number of structural features of the 'String Exp' class.

See Also:
  - Constant Field Values

### BOOLEAN_EXP

public static final int BOOLEAN_EXP
The meta object id for the '`Boolean Exp`' class.

See Also:
  - `BooleanExp`
  - `getBooleanExp()`
  - Constant Field Values

### BOOLEAN_EXP__LOCATION

public static final int BOOLEAN_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__COMMENTS_BEFORE

public static final int BOOLEAN_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__COMMENTS_AFTER

public static final int BOOLEAN_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__TYPE

public static final int BOOLEAN_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__IF_EXP3

public static final int BOOLEAN_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__APPLIED_PROPERTY

public static final int BOOLEAN_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__COLLECTION

public static final int BOOLEAN_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__LET_EXP

public static final int BOOLEAN_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__LOOP_EXP

public static final int BOOLEAN_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__PARENT_OPERATION

public static final int BOOLEAN_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__INITIALIZED_VARIABLE

public static final int BOOLEAN_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__IF_EXP2

public static final int BOOLEAN_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__OWNING_OPERATION

public static final int BOOLEAN_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__IF_EXP1

public static final int BOOLEAN_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__OWNING_ATTRIBUTE

public static final int BOOLEAN_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_EXP__BOOLEAN_SYMBOL

public static final int BOOLEAN_EXP__BOOLEAN_SYMBOL
The feature id for the 'Boolean Symbol' attribute.

See Also:
  - Constant Field Values

### BOOLEAN_EXP_FEATURE_COUNT

public static final int BOOLEAN_EXP_FEATURE_COUNT
The number of structural features of the 'Boolean Exp' class.

See Also:
  - Constant Field Values

### NUMERIC_EXP

public static final int NUMERIC_EXP
The meta object id for the '`Numeric Exp`' class.

See Also:
  - `NumericExp`
  - `getNumericExp()`
  - Constant Field Values

### NUMERIC_EXP__LOCATION

public static final int NUMERIC_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### NUMERIC_EXP__COMMENTS_BEFORE

public static final int NUMERIC_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### NUMERIC_EXP__COMMENTS_AFTER

public static final int NUMERIC_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### NUMERIC_EXP__TYPE

public static final int NUMERIC_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__IF_EXP3

public static final int NUMERIC_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__APPLIED_PROPERTY

public static final int NUMERIC_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__COLLECTION

public static final int NUMERIC_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__LET_EXP

public static final int NUMERIC_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__LOOP_EXP

public static final int NUMERIC_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__PARENT_OPERATION

public static final int NUMERIC_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__INITIALIZED_VARIABLE

public static final int NUMERIC_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__IF_EXP2

public static final int NUMERIC_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__OWNING_OPERATION

public static final int NUMERIC_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__IF_EXP1

public static final int NUMERIC_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP__OWNING_ATTRIBUTE

public static final int NUMERIC_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### NUMERIC_EXP_FEATURE_COUNT

public static final int NUMERIC_EXP_FEATURE_COUNT
The number of structural features of the 'Numeric Exp' class.

See Also:
  - Constant Field Values

### REAL_EXP

public static final int REAL_EXP
The meta object id for the '`Real Exp`' class.

See Also:
  - `RealExp`
  - `getRealExp()`
  - Constant Field Values

### REAL_EXP__LOCATION

public static final int REAL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### REAL_EXP__COMMENTS_BEFORE

public static final int REAL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### REAL_EXP__COMMENTS_AFTER

public static final int REAL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### REAL_EXP__TYPE

public static final int REAL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### REAL_EXP__IF_EXP3

public static final int REAL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__APPLIED_PROPERTY

public static final int REAL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__COLLECTION

public static final int REAL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__LET_EXP

public static final int REAL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__LOOP_EXP

public static final int REAL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__PARENT_OPERATION

public static final int REAL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__INITIALIZED_VARIABLE

public static final int REAL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__IF_EXP2

public static final int REAL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__OWNING_OPERATION

public static final int REAL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__IF_EXP1

public static final int REAL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__OWNING_ATTRIBUTE

public static final int REAL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### REAL_EXP__REAL_SYMBOL

public static final int REAL_EXP__REAL_SYMBOL
The feature id for the 'Real Symbol' attribute.

See Also:
  - Constant Field Values

### REAL_EXP_FEATURE_COUNT

public static final int REAL_EXP_FEATURE_COUNT
The number of structural features of the 'Real Exp' class.

See Also:
  - Constant Field Values

### INTEGER_EXP

public static final int INTEGER_EXP
The meta object id for the '`Integer Exp`' class.

See Also:
  - `IntegerExp`
  - `getIntegerExp()`
  - Constant Field Values

### INTEGER_EXP__LOCATION

public static final int INTEGER_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### INTEGER_EXP__COMMENTS_BEFORE

public static final int INTEGER_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### INTEGER_EXP__COMMENTS_AFTER

public static final int INTEGER_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### INTEGER_EXP__TYPE

public static final int INTEGER_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__IF_EXP3

public static final int INTEGER_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__APPLIED_PROPERTY

public static final int INTEGER_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__COLLECTION

public static final int INTEGER_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__LET_EXP

public static final int INTEGER_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__LOOP_EXP

public static final int INTEGER_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__PARENT_OPERATION

public static final int INTEGER_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__INITIALIZED_VARIABLE

public static final int INTEGER_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__IF_EXP2

public static final int INTEGER_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__OWNING_OPERATION

public static final int INTEGER_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__IF_EXP1

public static final int INTEGER_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__OWNING_ATTRIBUTE

public static final int INTEGER_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### INTEGER_EXP__INTEGER_SYMBOL

public static final int INTEGER_EXP__INTEGER_SYMBOL
The feature id for the 'Integer Symbol' attribute.

See Also:
  - Constant Field Values

### INTEGER_EXP_FEATURE_COUNT

public static final int INTEGER_EXP_FEATURE_COUNT
The number of structural features of the 'Integer Exp' class.

See Also:
  - Constant Field Values

### COLLECTION_EXP

public static final int COLLECTION_EXP
The meta object id for the '`Collection Exp`' class.

See Also:
  - `CollectionExp`
  - `getCollectionExp()`
  - Constant Field Values

### COLLECTION_EXP__LOCATION

public static final int COLLECTION_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### COLLECTION_EXP__COMMENTS_BEFORE

public static final int COLLECTION_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### COLLECTION_EXP__COMMENTS_AFTER

public static final int COLLECTION_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### COLLECTION_EXP__TYPE

public static final int COLLECTION_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__IF_EXP3

public static final int COLLECTION_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__APPLIED_PROPERTY

public static final int COLLECTION_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__COLLECTION

public static final int COLLECTION_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__LET_EXP

public static final int COLLECTION_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__LOOP_EXP

public static final int COLLECTION_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__PARENT_OPERATION

public static final int COLLECTION_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__INITIALIZED_VARIABLE

public static final int COLLECTION_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__IF_EXP2

public static final int COLLECTION_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__OWNING_OPERATION

public static final int COLLECTION_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__IF_EXP1

public static final int COLLECTION_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__OWNING_ATTRIBUTE

public static final int COLLECTION_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### COLLECTION_EXP__ELEMENTS

public static final int COLLECTION_EXP__ELEMENTS
The feature id for the 'Elements' containment reference list.

See Also:
  - Constant Field Values

### COLLECTION_EXP_FEATURE_COUNT

public static final int COLLECTION_EXP_FEATURE_COUNT
The number of structural features of the 'Collection Exp' class.

See Also:
  - Constant Field Values

### BAG_EXP

public static final int BAG_EXP
The meta object id for the '`Bag Exp`' class.

See Also:
  - `BagExp`
  - `getBagExp()`
  - Constant Field Values

### BAG_EXP__LOCATION

public static final int BAG_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### BAG_EXP__COMMENTS_BEFORE

public static final int BAG_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### BAG_EXP__COMMENTS_AFTER

public static final int BAG_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### BAG_EXP__TYPE

public static final int BAG_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### BAG_EXP__IF_EXP3

public static final int BAG_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__APPLIED_PROPERTY

public static final int BAG_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__COLLECTION

public static final int BAG_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__LET_EXP

public static final int BAG_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__LOOP_EXP

public static final int BAG_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__PARENT_OPERATION

public static final int BAG_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__INITIALIZED_VARIABLE

public static final int BAG_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__IF_EXP2

public static final int BAG_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__OWNING_OPERATION

public static final int BAG_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__IF_EXP1

public static final int BAG_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__OWNING_ATTRIBUTE

public static final int BAG_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### BAG_EXP__ELEMENTS

public static final int BAG_EXP__ELEMENTS
The feature id for the 'Elements' containment reference list.

See Also:
  - Constant Field Values

### BAG_EXP_FEATURE_COUNT

public static final int BAG_EXP_FEATURE_COUNT
The number of structural features of the 'Bag Exp' class.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP

public static final int ORDERED_SET_EXP
The meta object id for the '`Ordered Set Exp`' class.

See Also:
  - `OrderedSetExp`
  - `getOrderedSetExp()`
  - Constant Field Values

### ORDERED_SET_EXP__LOCATION

public static final int ORDERED_SET_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__COMMENTS_BEFORE

public static final int ORDERED_SET_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__COMMENTS_AFTER

public static final int ORDERED_SET_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__TYPE

public static final int ORDERED_SET_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__IF_EXP3

public static final int ORDERED_SET_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__APPLIED_PROPERTY

public static final int ORDERED_SET_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__COLLECTION

public static final int ORDERED_SET_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__LET_EXP

public static final int ORDERED_SET_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__LOOP_EXP

public static final int ORDERED_SET_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__PARENT_OPERATION

public static final int ORDERED_SET_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__INITIALIZED_VARIABLE

public static final int ORDERED_SET_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__IF_EXP2

public static final int ORDERED_SET_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__OWNING_OPERATION

public static final int ORDERED_SET_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__IF_EXP1

public static final int ORDERED_SET_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__OWNING_ATTRIBUTE

public static final int ORDERED_SET_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP__ELEMENTS

public static final int ORDERED_SET_EXP__ELEMENTS
The feature id for the 'Elements' containment reference list.

See Also:
  - Constant Field Values

### ORDERED_SET_EXP_FEATURE_COUNT

public static final int ORDERED_SET_EXP_FEATURE_COUNT
The number of structural features of the 'Ordered Set Exp' class.

See Also:
  - Constant Field Values

### SEQUENCE_EXP

public static final int SEQUENCE_EXP
The meta object id for the '`Sequence Exp`' class.

See Also:
  - `SequenceExp`
  - `getSequenceExp()`
  - Constant Field Values

### SEQUENCE_EXP__LOCATION

public static final int SEQUENCE_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__COMMENTS_BEFORE

public static final int SEQUENCE_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__COMMENTS_AFTER

public static final int SEQUENCE_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__TYPE

public static final int SEQUENCE_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__IF_EXP3

public static final int SEQUENCE_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__APPLIED_PROPERTY

public static final int SEQUENCE_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__COLLECTION

public static final int SEQUENCE_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__LET_EXP

public static final int SEQUENCE_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__LOOP_EXP

public static final int SEQUENCE_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__PARENT_OPERATION

public static final int SEQUENCE_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__INITIALIZED_VARIABLE

public static final int SEQUENCE_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__IF_EXP2

public static final int SEQUENCE_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__OWNING_OPERATION

public static final int SEQUENCE_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__IF_EXP1

public static final int SEQUENCE_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__OWNING_ATTRIBUTE

public static final int SEQUENCE_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_EXP__ELEMENTS

public static final int SEQUENCE_EXP__ELEMENTS
The feature id for the 'Elements' containment reference list.

See Also:
  - Constant Field Values

### SEQUENCE_EXP_FEATURE_COUNT

public static final int SEQUENCE_EXP_FEATURE_COUNT
The number of structural features of the 'Sequence Exp' class.

See Also:
  - Constant Field Values

### SET_EXP

public static final int SET_EXP
The meta object id for the '`Set Exp`' class.

See Also:
  - `SetExp`
  - `getSetExp()`
  - Constant Field Values

### SET_EXP__LOCATION

public static final int SET_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### SET_EXP__COMMENTS_BEFORE

public static final int SET_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### SET_EXP__COMMENTS_AFTER

public static final int SET_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### SET_EXP__TYPE

public static final int SET_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### SET_EXP__IF_EXP3

public static final int SET_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### SET_EXP__APPLIED_PROPERTY

public static final int SET_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### SET_EXP__COLLECTION

public static final int SET_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### SET_EXP__LET_EXP

public static final int SET_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### SET_EXP__LOOP_EXP

public static final int SET_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### SET_EXP__PARENT_OPERATION

public static final int SET_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### SET_EXP__INITIALIZED_VARIABLE

public static final int SET_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### SET_EXP__IF_EXP2

public static final int SET_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### SET_EXP__OWNING_OPERATION

public static final int SET_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### SET_EXP__IF_EXP1

public static final int SET_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### SET_EXP__OWNING_ATTRIBUTE

public static final int SET_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### SET_EXP__ELEMENTS

public static final int SET_EXP__ELEMENTS
The feature id for the 'Elements' containment reference list.

See Also:
  - Constant Field Values

### SET_EXP_FEATURE_COUNT

public static final int SET_EXP_FEATURE_COUNT
The number of structural features of the 'Set Exp' class.

See Also:
  - Constant Field Values

### TUPLE_EXP

public static final int TUPLE_EXP
The meta object id for the '`Tuple Exp`' class.

See Also:
  - `TupleExp`
  - `getTupleExp()`
  - Constant Field Values

### TUPLE_EXP__LOCATION

public static final int TUPLE_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### TUPLE_EXP__COMMENTS_BEFORE

public static final int TUPLE_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### TUPLE_EXP__COMMENTS_AFTER

public static final int TUPLE_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### TUPLE_EXP__TYPE

public static final int TUPLE_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__IF_EXP3

public static final int TUPLE_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__APPLIED_PROPERTY

public static final int TUPLE_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__COLLECTION

public static final int TUPLE_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__LET_EXP

public static final int TUPLE_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__LOOP_EXP

public static final int TUPLE_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__PARENT_OPERATION

public static final int TUPLE_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__INITIALIZED_VARIABLE

public static final int TUPLE_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__IF_EXP2

public static final int TUPLE_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__OWNING_OPERATION

public static final int TUPLE_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__IF_EXP1

public static final int TUPLE_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__OWNING_ATTRIBUTE

public static final int TUPLE_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### TUPLE_EXP__TUPLE_PART

public static final int TUPLE_EXP__TUPLE_PART
The feature id for the 'Tuple Part' containment reference list.

See Also:
  - Constant Field Values

### TUPLE_EXP_FEATURE_COUNT

public static final int TUPLE_EXP_FEATURE_COUNT
The number of structural features of the 'Tuple Exp' class.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION

public static final int VARIABLE_DECLARATION
The meta object id for the '`Variable Declaration`' class.

See Also:
  - `VariableDeclaration`
  - `getVariableDeclaration()`
  - Constant Field Values

### VARIABLE_DECLARATION__LOCATION

public static final int VARIABLE_DECLARATION__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__COMMENTS_BEFORE

public static final int VARIABLE_DECLARATION__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__COMMENTS_AFTER

public static final int VARIABLE_DECLARATION__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__ID

public static final int VARIABLE_DECLARATION__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__VAR_NAME

public static final int VARIABLE_DECLARATION__VAR_NAME
The feature id for the 'Var Name' attribute.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__TYPE

public static final int VARIABLE_DECLARATION__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__INIT_EXPRESSION

public static final int VARIABLE_DECLARATION__INIT_EXPRESSION
The feature id for the 'Init Expression' containment reference.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__LET_EXP

public static final int VARIABLE_DECLARATION__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__BASE_EXP

public static final int VARIABLE_DECLARATION__BASE_EXP
The feature id for the 'Base Exp' container reference.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION__VARIABLE_EXP

public static final int VARIABLE_DECLARATION__VARIABLE_EXP
The feature id for the 'Variable Exp' reference list.

See Also:
  - Constant Field Values

### VARIABLE_DECLARATION_FEATURE_COUNT

public static final int VARIABLE_DECLARATION_FEATURE_COUNT
The number of structural features of the 'Variable Declaration' class.

See Also:
  - Constant Field Values

### TUPLE_PART

public static final int TUPLE_PART
The meta object id for the '`Tuple Part`' class.

See Also:
  - `TuplePart`
  - `getTuplePart()`
  - Constant Field Values

### TUPLE_PART__LOCATION

public static final int TUPLE_PART__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### TUPLE_PART__COMMENTS_BEFORE

public static final int TUPLE_PART__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### TUPLE_PART__COMMENTS_AFTER

public static final int TUPLE_PART__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### TUPLE_PART__ID

public static final int TUPLE_PART__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values

### TUPLE_PART__VAR_NAME

public static final int TUPLE_PART__VAR_NAME
The feature id for the 'Var Name' attribute.

See Also:
  - Constant Field Values

### TUPLE_PART__TYPE

public static final int TUPLE_PART__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### TUPLE_PART__INIT_EXPRESSION

public static final int TUPLE_PART__INIT_EXPRESSION
The feature id for the 'Init Expression' containment reference.

See Also:
  - Constant Field Values

### TUPLE_PART__LET_EXP

public static final int TUPLE_PART__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### TUPLE_PART__BASE_EXP

public static final int TUPLE_PART__BASE_EXP
The feature id for the 'Base Exp' container reference.

See Also:
  - Constant Field Values

### TUPLE_PART__VARIABLE_EXP

public static final int TUPLE_PART__VARIABLE_EXP
The feature id for the 'Variable Exp' reference list.

See Also:
  - Constant Field Values

### TUPLE_PART__TUPLE

public static final int TUPLE_PART__TUPLE
The feature id for the 'Tuple' container reference.

See Also:
  - Constant Field Values

### TUPLE_PART_FEATURE_COUNT

public static final int TUPLE_PART_FEATURE_COUNT
The number of structural features of the 'Tuple Part' class.

See Also:
  - Constant Field Values

### MAP_EXP

public static final int MAP_EXP
The meta object id for the '`Map Exp`' class.

See Also:
  - `MapExp`
  - `getMapExp()`
  - Constant Field Values

### MAP_EXP__LOCATION

public static final int MAP_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### MAP_EXP__COMMENTS_BEFORE

public static final int MAP_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### MAP_EXP__COMMENTS_AFTER

public static final int MAP_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### MAP_EXP__TYPE

public static final int MAP_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### MAP_EXP__IF_EXP3

public static final int MAP_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__APPLIED_PROPERTY

public static final int MAP_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__COLLECTION

public static final int MAP_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__LET_EXP

public static final int MAP_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__LOOP_EXP

public static final int MAP_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__PARENT_OPERATION

public static final int MAP_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__INITIALIZED_VARIABLE

public static final int MAP_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__IF_EXP2

public static final int MAP_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__OWNING_OPERATION

public static final int MAP_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__IF_EXP1

public static final int MAP_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__OWNING_ATTRIBUTE

public static final int MAP_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### MAP_EXP__ELEMENTS

public static final int MAP_EXP__ELEMENTS
The feature id for the 'Elements' containment reference list.

See Also:
  - Constant Field Values

### MAP_EXP_FEATURE_COUNT

public static final int MAP_EXP_FEATURE_COUNT
The number of structural features of the 'Map Exp' class.

See Also:
  - Constant Field Values

### MAP_ELEMENT

public static final int MAP_ELEMENT
The meta object id for the '`Map Element`' class.

See Also:
  - `MapElement`
  - `getMapElement()`
  - Constant Field Values

### MAP_ELEMENT__LOCATION

public static final int MAP_ELEMENT__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### MAP_ELEMENT__COMMENTS_BEFORE

public static final int MAP_ELEMENT__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### MAP_ELEMENT__COMMENTS_AFTER

public static final int MAP_ELEMENT__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### MAP_ELEMENT__MAP

public static final int MAP_ELEMENT__MAP
The feature id for the 'Map' container reference.

See Also:
  - Constant Field Values

### MAP_ELEMENT__KEY

public static final int MAP_ELEMENT__KEY
The feature id for the 'Key' containment reference.

See Also:
  - Constant Field Values

### MAP_ELEMENT__VALUE

public static final int MAP_ELEMENT__VALUE
The feature id for the 'Value' containment reference.

See Also:
  - Constant Field Values

### MAP_ELEMENT_FEATURE_COUNT

public static final int MAP_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Map Element' class.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP

public static final int ENUM_LITERAL_EXP
The meta object id for the '`Enum Literal Exp`' class.

See Also:
  - `EnumLiteralExp`
  - `getEnumLiteralExp()`
  - Constant Field Values

### ENUM_LITERAL_EXP__LOCATION

public static final int ENUM_LITERAL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__COMMENTS_BEFORE

public static final int ENUM_LITERAL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__COMMENTS_AFTER

public static final int ENUM_LITERAL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__TYPE

public static final int ENUM_LITERAL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__IF_EXP3

public static final int ENUM_LITERAL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__APPLIED_PROPERTY

public static final int ENUM_LITERAL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__COLLECTION

public static final int ENUM_LITERAL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__LET_EXP

public static final int ENUM_LITERAL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__LOOP_EXP

public static final int ENUM_LITERAL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__PARENT_OPERATION

public static final int ENUM_LITERAL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__INITIALIZED_VARIABLE

public static final int ENUM_LITERAL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__IF_EXP2

public static final int ENUM_LITERAL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__OWNING_OPERATION

public static final int ENUM_LITERAL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__IF_EXP1

public static final int ENUM_LITERAL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__OWNING_ATTRIBUTE

public static final int ENUM_LITERAL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP__NAME

public static final int ENUM_LITERAL_EXP__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### ENUM_LITERAL_EXP_FEATURE_COUNT

public static final int ENUM_LITERAL_EXP_FEATURE_COUNT
The number of structural features of the 'Enum Literal Exp' class.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP

public static final int OCL_UNDEFINED_EXP
The meta object id for the '`Ocl Undefined Exp`' class.

See Also:
  - `OclUndefinedExp`
  - `getOclUndefinedExp()`
  - Constant Field Values

### OCL_UNDEFINED_EXP__LOCATION

public static final int OCL_UNDEFINED_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__COMMENTS_BEFORE

public static final int OCL_UNDEFINED_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__COMMENTS_AFTER

public static final int OCL_UNDEFINED_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__TYPE

public static final int OCL_UNDEFINED_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__IF_EXP3

public static final int OCL_UNDEFINED_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__APPLIED_PROPERTY

public static final int OCL_UNDEFINED_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__COLLECTION

public static final int OCL_UNDEFINED_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__LET_EXP

public static final int OCL_UNDEFINED_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__LOOP_EXP

public static final int OCL_UNDEFINED_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__PARENT_OPERATION

public static final int OCL_UNDEFINED_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__INITIALIZED_VARIABLE

public static final int OCL_UNDEFINED_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__IF_EXP2

public static final int OCL_UNDEFINED_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__OWNING_OPERATION

public static final int OCL_UNDEFINED_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__IF_EXP1

public static final int OCL_UNDEFINED_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP__OWNING_ATTRIBUTE

public static final int OCL_UNDEFINED_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_UNDEFINED_EXP_FEATURE_COUNT

public static final int OCL_UNDEFINED_EXP_FEATURE_COUNT
The number of structural features of the 'Ocl Undefined Exp' class.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP

public static final int PROPERTY_CALL_EXP
The meta object id for the '`Property Call Exp`' class.

See Also:
  - `PropertyCallExp`
  - `getPropertyCallExp()`
  - Constant Field Values

### PROPERTY_CALL_EXP__LOCATION

public static final int PROPERTY_CALL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__COMMENTS_BEFORE

public static final int PROPERTY_CALL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__COMMENTS_AFTER

public static final int PROPERTY_CALL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__TYPE

public static final int PROPERTY_CALL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__IF_EXP3

public static final int PROPERTY_CALL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__APPLIED_PROPERTY

public static final int PROPERTY_CALL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__COLLECTION

public static final int PROPERTY_CALL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__LET_EXP

public static final int PROPERTY_CALL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__LOOP_EXP

public static final int PROPERTY_CALL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__PARENT_OPERATION

public static final int PROPERTY_CALL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__INITIALIZED_VARIABLE

public static final int PROPERTY_CALL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__IF_EXP2

public static final int PROPERTY_CALL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__OWNING_OPERATION

public static final int PROPERTY_CALL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__IF_EXP1

public static final int PROPERTY_CALL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__OWNING_ATTRIBUTE

public static final int PROPERTY_CALL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP__SOURCE

public static final int PROPERTY_CALL_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### PROPERTY_CALL_EXP_FEATURE_COUNT

public static final int PROPERTY_CALL_EXP_FEATURE_COUNT
The number of structural features of the 'Property Call Exp' class.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP
The meta object id for the '`Navigation Or Attribute Call Exp`' class.

See Also:
  - `NavigationOrAttributeCallExp`
  - `getNavigationOrAttributeCallExp()`
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LOCATION

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COMMENTS_BEFORE

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COMMENTS_AFTER

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__TYPE

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP3

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__APPLIED_PROPERTY

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COLLECTION

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LET_EXP

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LOOP_EXP

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__PARENT_OPERATION

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__INITIALIZED_VARIABLE

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP2

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__OWNING_OPERATION

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP1

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__OWNING_ATTRIBUTE

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__SOURCE

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP__NAME

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### NAVIGATION_OR_ATTRIBUTE_CALL_EXP_FEATURE_COUNT

public static final int NAVIGATION_OR_ATTRIBUTE_CALL_EXP_FEATURE_COUNT
The number of structural features of the 'Navigation Or Attribute Call Exp' class.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP

public static final int OPERATION_CALL_EXP
The meta object id for the '`Operation Call Exp`' class.

See Also:
  - `OperationCallExp`
  - `getOperationCallExp()`
  - Constant Field Values

### OPERATION_CALL_EXP__LOCATION

public static final int OPERATION_CALL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__COMMENTS_BEFORE

public static final int OPERATION_CALL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__COMMENTS_AFTER

public static final int OPERATION_CALL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__TYPE

public static final int OPERATION_CALL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__IF_EXP3

public static final int OPERATION_CALL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__APPLIED_PROPERTY

public static final int OPERATION_CALL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__COLLECTION

public static final int OPERATION_CALL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__LET_EXP

public static final int OPERATION_CALL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__LOOP_EXP

public static final int OPERATION_CALL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__PARENT_OPERATION

public static final int OPERATION_CALL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__INITIALIZED_VARIABLE

public static final int OPERATION_CALL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__IF_EXP2

public static final int OPERATION_CALL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__OWNING_OPERATION

public static final int OPERATION_CALL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__IF_EXP1

public static final int OPERATION_CALL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__OWNING_ATTRIBUTE

public static final int OPERATION_CALL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__SOURCE

public static final int OPERATION_CALL_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__ARGUMENTS

public static final int OPERATION_CALL_EXP__ARGUMENTS
The feature id for the 'Arguments' containment reference list.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP__OPERATION_NAME

public static final int OPERATION_CALL_EXP__OPERATION_NAME
The feature id for the 'Operation Name' attribute.

See Also:
  - Constant Field Values

### OPERATION_CALL_EXP_FEATURE_COUNT

public static final int OPERATION_CALL_EXP_FEATURE_COUNT
The number of structural features of the 'Operation Call Exp' class.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP

public static final int OPERATOR_CALL_EXP
The meta object id for the '`Operator Call Exp`' class.

See Also:
  - `OperatorCallExp`
  - `getOperatorCallExp()`
  - Constant Field Values

### OPERATOR_CALL_EXP__LOCATION

public static final int OPERATOR_CALL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__COMMENTS_BEFORE

public static final int OPERATOR_CALL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__COMMENTS_AFTER

public static final int OPERATOR_CALL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__TYPE

public static final int OPERATOR_CALL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__IF_EXP3

public static final int OPERATOR_CALL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__APPLIED_PROPERTY

public static final int OPERATOR_CALL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__COLLECTION

public static final int OPERATOR_CALL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__LET_EXP

public static final int OPERATOR_CALL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__LOOP_EXP

public static final int OPERATOR_CALL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__PARENT_OPERATION

public static final int OPERATOR_CALL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__INITIALIZED_VARIABLE

public static final int OPERATOR_CALL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__IF_EXP2

public static final int OPERATOR_CALL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__OWNING_OPERATION

public static final int OPERATOR_CALL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__IF_EXP1

public static final int OPERATOR_CALL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__OWNING_ATTRIBUTE

public static final int OPERATOR_CALL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__SOURCE

public static final int OPERATOR_CALL_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__ARGUMENTS

public static final int OPERATOR_CALL_EXP__ARGUMENTS
The feature id for the 'Arguments' containment reference list.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP__OPERATION_NAME

public static final int OPERATOR_CALL_EXP__OPERATION_NAME
The feature id for the 'Operation Name' attribute.

See Also:
  - Constant Field Values

### OPERATOR_CALL_EXP_FEATURE_COUNT

public static final int OPERATOR_CALL_EXP_FEATURE_COUNT
The number of structural features of the 'Operator Call Exp' class.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP

public static final int COLLECTION_OPERATION_CALL_EXP
The meta object id for the '`Collection Operation Call Exp`' class.

See Also:
  - `CollectionOperationCallExp`
  - `getCollectionOperationCallExp()`
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__LOCATION

public static final int COLLECTION_OPERATION_CALL_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__COMMENTS_BEFORE

public static final int COLLECTION_OPERATION_CALL_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__COMMENTS_AFTER

public static final int COLLECTION_OPERATION_CALL_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__TYPE

public static final int COLLECTION_OPERATION_CALL_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__IF_EXP3

public static final int COLLECTION_OPERATION_CALL_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__APPLIED_PROPERTY

public static final int COLLECTION_OPERATION_CALL_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__COLLECTION

public static final int COLLECTION_OPERATION_CALL_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__LET_EXP

public static final int COLLECTION_OPERATION_CALL_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__LOOP_EXP

public static final int COLLECTION_OPERATION_CALL_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__PARENT_OPERATION

public static final int COLLECTION_OPERATION_CALL_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__INITIALIZED_VARIABLE

public static final int COLLECTION_OPERATION_CALL_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__IF_EXP2

public static final int COLLECTION_OPERATION_CALL_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__OWNING_OPERATION

public static final int COLLECTION_OPERATION_CALL_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__IF_EXP1

public static final int COLLECTION_OPERATION_CALL_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__OWNING_ATTRIBUTE

public static final int COLLECTION_OPERATION_CALL_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__SOURCE

public static final int COLLECTION_OPERATION_CALL_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__ARGUMENTS

public static final int COLLECTION_OPERATION_CALL_EXP__ARGUMENTS
The feature id for the 'Arguments' containment reference list.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP__OPERATION_NAME

public static final int COLLECTION_OPERATION_CALL_EXP__OPERATION_NAME
The feature id for the 'Operation Name' attribute.

See Also:
  - Constant Field Values

### COLLECTION_OPERATION_CALL_EXP_FEATURE_COUNT

public static final int COLLECTION_OPERATION_CALL_EXP_FEATURE_COUNT
The number of structural features of the 'Collection Operation Call Exp' class.

See Also:
  - Constant Field Values

### LOOP_EXP

public static final int LOOP_EXP
The meta object id for the '`Loop Exp`' class.

See Also:
  - `LoopExp`
  - `getLoopExp()`
  - Constant Field Values

### LOOP_EXP__LOCATION

public static final int LOOP_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### LOOP_EXP__COMMENTS_BEFORE

public static final int LOOP_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### LOOP_EXP__COMMENTS_AFTER

public static final int LOOP_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### LOOP_EXP__TYPE

public static final int LOOP_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### LOOP_EXP__IF_EXP3

public static final int LOOP_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__APPLIED_PROPERTY

public static final int LOOP_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__COLLECTION

public static final int LOOP_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__LET_EXP

public static final int LOOP_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__LOOP_EXP

public static final int LOOP_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__PARENT_OPERATION

public static final int LOOP_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__INITIALIZED_VARIABLE

public static final int LOOP_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__IF_EXP2

public static final int LOOP_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__OWNING_OPERATION

public static final int LOOP_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__IF_EXP1

public static final int LOOP_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__OWNING_ATTRIBUTE

public static final int LOOP_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### LOOP_EXP__SOURCE

public static final int LOOP_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### LOOP_EXP__BODY

public static final int LOOP_EXP__BODY
The feature id for the 'Body' containment reference.

See Also:
  - Constant Field Values

### LOOP_EXP__ITERATORS

public static final int LOOP_EXP__ITERATORS
The feature id for the 'Iterators' containment reference list.

See Also:
  - Constant Field Values

### LOOP_EXP_FEATURE_COUNT

public static final int LOOP_EXP_FEATURE_COUNT
The number of structural features of the 'Loop Exp' class.

See Also:
  - Constant Field Values

### ITERATE_EXP

public static final int ITERATE_EXP
The meta object id for the '`Iterate Exp`' class.

See Also:
  - `IterateExp`
  - `getIterateExp()`
  - Constant Field Values

### ITERATE_EXP__LOCATION

public static final int ITERATE_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ITERATE_EXP__COMMENTS_BEFORE

public static final int ITERATE_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ITERATE_EXP__COMMENTS_AFTER

public static final int ITERATE_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ITERATE_EXP__TYPE

public static final int ITERATE_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__IF_EXP3

public static final int ITERATE_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__APPLIED_PROPERTY

public static final int ITERATE_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__COLLECTION

public static final int ITERATE_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__LET_EXP

public static final int ITERATE_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__LOOP_EXP

public static final int ITERATE_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__PARENT_OPERATION

public static final int ITERATE_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__INITIALIZED_VARIABLE

public static final int ITERATE_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__IF_EXP2

public static final int ITERATE_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__OWNING_OPERATION

public static final int ITERATE_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__IF_EXP1

public static final int ITERATE_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__OWNING_ATTRIBUTE

public static final int ITERATE_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__SOURCE

public static final int ITERATE_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__BODY

public static final int ITERATE_EXP__BODY
The feature id for the 'Body' containment reference.

See Also:
  - Constant Field Values

### ITERATE_EXP__ITERATORS

public static final int ITERATE_EXP__ITERATORS
The feature id for the 'Iterators' containment reference list.

See Also:
  - Constant Field Values

### ITERATE_EXP__RESULT

public static final int ITERATE_EXP__RESULT
The feature id for the 'Result' containment reference.

See Also:
  - Constant Field Values

### ITERATE_EXP_FEATURE_COUNT

public static final int ITERATE_EXP_FEATURE_COUNT
The number of structural features of the 'Iterate Exp' class.

See Also:
  - Constant Field Values

### ITERATOR_EXP

public static final int ITERATOR_EXP
The meta object id for the '`Iterator Exp`' class.

See Also:
  - `IteratorExp`
  - `getIteratorExp()`
  - Constant Field Values

### ITERATOR_EXP__LOCATION

public static final int ITERATOR_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ITERATOR_EXP__COMMENTS_BEFORE

public static final int ITERATOR_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ITERATOR_EXP__COMMENTS_AFTER

public static final int ITERATOR_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ITERATOR_EXP__TYPE

public static final int ITERATOR_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__IF_EXP3

public static final int ITERATOR_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__APPLIED_PROPERTY

public static final int ITERATOR_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__COLLECTION

public static final int ITERATOR_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__LET_EXP

public static final int ITERATOR_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__LOOP_EXP

public static final int ITERATOR_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__PARENT_OPERATION

public static final int ITERATOR_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__INITIALIZED_VARIABLE

public static final int ITERATOR_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__IF_EXP2

public static final int ITERATOR_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__OWNING_OPERATION

public static final int ITERATOR_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__IF_EXP1

public static final int ITERATOR_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__OWNING_ATTRIBUTE

public static final int ITERATOR_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__SOURCE

public static final int ITERATOR_EXP__SOURCE
The feature id for the 'Source' containment reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__BODY

public static final int ITERATOR_EXP__BODY
The feature id for the 'Body' containment reference.

See Also:
  - Constant Field Values

### ITERATOR_EXP__ITERATORS

public static final int ITERATOR_EXP__ITERATORS
The feature id for the 'Iterators' containment reference list.

See Also:
  - Constant Field Values

### ITERATOR_EXP__NAME

public static final int ITERATOR_EXP__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### ITERATOR_EXP_FEATURE_COUNT

public static final int ITERATOR_EXP_FEATURE_COUNT
The number of structural features of the 'Iterator Exp' class.

See Also:
  - Constant Field Values

### LET_EXP

public static final int LET_EXP
The meta object id for the '`Let Exp`' class.

See Also:
  - `LetExp`
  - `getLetExp()`
  - Constant Field Values

### LET_EXP__LOCATION

public static final int LET_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### LET_EXP__COMMENTS_BEFORE

public static final int LET_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### LET_EXP__COMMENTS_AFTER

public static final int LET_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### LET_EXP__TYPE

public static final int LET_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### LET_EXP__IF_EXP3

public static final int LET_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### LET_EXP__APPLIED_PROPERTY

public static final int LET_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### LET_EXP__COLLECTION

public static final int LET_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### LET_EXP__LET_EXP

public static final int LET_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### LET_EXP__LOOP_EXP

public static final int LET_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### LET_EXP__PARENT_OPERATION

public static final int LET_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### LET_EXP__INITIALIZED_VARIABLE

public static final int LET_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### LET_EXP__IF_EXP2

public static final int LET_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### LET_EXP__OWNING_OPERATION

public static final int LET_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### LET_EXP__IF_EXP1

public static final int LET_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### LET_EXP__OWNING_ATTRIBUTE

public static final int LET_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### LET_EXP__VARIABLE

public static final int LET_EXP__VARIABLE
The feature id for the 'Variable' containment reference.

See Also:
  - Constant Field Values

### LET_EXP__IN_

public static final int LET_EXP__IN_
The feature id for the 'In ' containment reference.

See Also:
  - Constant Field Values

### LET_EXP_FEATURE_COUNT

public static final int LET_EXP_FEATURE_COUNT
The number of structural features of the 'Let Exp' class.

See Also:
  - Constant Field Values

### IF_EXP

public static final int IF_EXP
The meta object id for the '`If Exp`' class.

See Also:
  - `IfExp`
  - `getIfExp()`
  - Constant Field Values

### IF_EXP__LOCATION

public static final int IF_EXP__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### IF_EXP__COMMENTS_BEFORE

public static final int IF_EXP__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### IF_EXP__COMMENTS_AFTER

public static final int IF_EXP__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### IF_EXP__TYPE

public static final int IF_EXP__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### IF_EXP__IF_EXP3

public static final int IF_EXP__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### IF_EXP__APPLIED_PROPERTY

public static final int IF_EXP__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### IF_EXP__COLLECTION

public static final int IF_EXP__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### IF_EXP__LET_EXP

public static final int IF_EXP__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### IF_EXP__LOOP_EXP

public static final int IF_EXP__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### IF_EXP__PARENT_OPERATION

public static final int IF_EXP__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### IF_EXP__INITIALIZED_VARIABLE

public static final int IF_EXP__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### IF_EXP__IF_EXP2

public static final int IF_EXP__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### IF_EXP__OWNING_OPERATION

public static final int IF_EXP__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### IF_EXP__IF_EXP1

public static final int IF_EXP__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### IF_EXP__OWNING_ATTRIBUTE

public static final int IF_EXP__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### IF_EXP__THEN_EXPRESSION

public static final int IF_EXP__THEN_EXPRESSION
The feature id for the 'Then Expression' containment reference.

See Also:
  - Constant Field Values

### IF_EXP__CONDITION

public static final int IF_EXP__CONDITION
The feature id for the 'Condition' containment reference.

See Also:
  - Constant Field Values

### IF_EXP__ELSE_EXPRESSION

public static final int IF_EXP__ELSE_EXPRESSION
The feature id for the 'Else Expression' containment reference.

See Also:
  - Constant Field Values

### IF_EXP_FEATURE_COUNT

public static final int IF_EXP_FEATURE_COUNT
The number of structural features of the 'If Exp' class.

See Also:
  - Constant Field Values

### ITERATOR

public static final int ITERATOR
The meta object id for the '`Iterator`' class.

See Also:
  - `Iterator`
  - `getIterator()`
  - Constant Field Values

### ITERATOR__LOCATION

public static final int ITERATOR__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ITERATOR__COMMENTS_BEFORE

public static final int ITERATOR__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ITERATOR__COMMENTS_AFTER

public static final int ITERATOR__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ITERATOR__ID

public static final int ITERATOR__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values

### ITERATOR__VAR_NAME

public static final int ITERATOR__VAR_NAME
The feature id for the 'Var Name' attribute.

See Also:
  - Constant Field Values

### ITERATOR__TYPE

public static final int ITERATOR__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ITERATOR__INIT_EXPRESSION

public static final int ITERATOR__INIT_EXPRESSION
The feature id for the 'Init Expression' containment reference.

See Also:
  - Constant Field Values

### ITERATOR__LET_EXP

public static final int ITERATOR__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### ITERATOR__BASE_EXP

public static final int ITERATOR__BASE_EXP
The feature id for the 'Base Exp' container reference.

See Also:
  - Constant Field Values

### ITERATOR__VARIABLE_EXP

public static final int ITERATOR__VARIABLE_EXP
The feature id for the 'Variable Exp' reference list.

See Also:
  - Constant Field Values

### ITERATOR__LOOP_EXPR

public static final int ITERATOR__LOOP_EXPR
The feature id for the 'Loop Expr' container reference.

See Also:
  - Constant Field Values

### ITERATOR_FEATURE_COUNT

public static final int ITERATOR_FEATURE_COUNT
The number of structural features of the 'Iterator' class.

See Also:
  - Constant Field Values

### PARAMETER

public static final int PARAMETER
The meta object id for the '`Parameter`' class.

See Also:
  - `Parameter`
  - `getParameter()`
  - Constant Field Values

### PARAMETER__LOCATION

public static final int PARAMETER__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### PARAMETER__COMMENTS_BEFORE

public static final int PARAMETER__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### PARAMETER__COMMENTS_AFTER

public static final int PARAMETER__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### PARAMETER__ID

public static final int PARAMETER__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values

### PARAMETER__VAR_NAME

public static final int PARAMETER__VAR_NAME
The feature id for the 'Var Name' attribute.

See Also:
  - Constant Field Values

### PARAMETER__TYPE

public static final int PARAMETER__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### PARAMETER__INIT_EXPRESSION

public static final int PARAMETER__INIT_EXPRESSION
The feature id for the 'Init Expression' containment reference.

See Also:
  - Constant Field Values

### PARAMETER__LET_EXP

public static final int PARAMETER__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### PARAMETER__BASE_EXP

public static final int PARAMETER__BASE_EXP
The feature id for the 'Base Exp' container reference.

See Also:
  - Constant Field Values

### PARAMETER__VARIABLE_EXP

public static final int PARAMETER__VARIABLE_EXP
The feature id for the 'Variable Exp' reference list.

See Also:
  - Constant Field Values

### PARAMETER__OPERATION

public static final int PARAMETER__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### PARAMETER_FEATURE_COUNT

public static final int PARAMETER_FEATURE_COUNT
The number of structural features of the 'Parameter' class.

See Also:
  - Constant Field Values

### OCL_TYPE

public static final int OCL_TYPE
The meta object id for the '`Ocl Type`' class.

See Also:
  - `OclType`
  - `getOclType()`
  - Constant Field Values

### OCL_TYPE__LOCATION

public static final int OCL_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_TYPE__COMMENTS_BEFORE

public static final int OCL_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_TYPE__COMMENTS_AFTER

public static final int OCL_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_TYPE__TYPE

public static final int OCL_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OCL_TYPE__IF_EXP3

public static final int OCL_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__APPLIED_PROPERTY

public static final int OCL_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__COLLECTION

public static final int OCL_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__LET_EXP

public static final int OCL_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__LOOP_EXP

public static final int OCL_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__PARENT_OPERATION

public static final int OCL_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__INITIALIZED_VARIABLE

public static final int OCL_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__IF_EXP2

public static final int OCL_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__OWNING_OPERATION

public static final int OCL_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__IF_EXP1

public static final int OCL_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__OWNING_ATTRIBUTE

public static final int OCL_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__NAME

public static final int OCL_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OCL_TYPE__DEFINITIONS

public static final int OCL_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__OCL_EXPRESSION

public static final int OCL_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__OPERATION

public static final int OCL_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__MAP_TYPE2

public static final int OCL_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__ATTRIBUTE

public static final int OCL_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__MAP_TYPE

public static final int OCL_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__COLLECTION_TYPES

public static final int OCL_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int OCL_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE__VARIABLE_DECLARATION

public static final int OCL_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### OCL_TYPE_FEATURE_COUNT

public static final int OCL_TYPE_FEATURE_COUNT
The number of structural features of the 'Ocl Type' class.

See Also:
  - Constant Field Values

### COLLECTION_TYPE

public static final int COLLECTION_TYPE
The meta object id for the '`Collection Type`' class.

See Also:
  - `CollectionType`
  - `getCollectionType()`
  - Constant Field Values

### COLLECTION_TYPE__LOCATION

public static final int COLLECTION_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__COMMENTS_BEFORE

public static final int COLLECTION_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__COMMENTS_AFTER

public static final int COLLECTION_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__TYPE

public static final int COLLECTION_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__IF_EXP3

public static final int COLLECTION_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__APPLIED_PROPERTY

public static final int COLLECTION_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__COLLECTION

public static final int COLLECTION_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__LET_EXP

public static final int COLLECTION_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__LOOP_EXP

public static final int COLLECTION_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__PARENT_OPERATION

public static final int COLLECTION_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__INITIALIZED_VARIABLE

public static final int COLLECTION_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__IF_EXP2

public static final int COLLECTION_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__OWNING_OPERATION

public static final int COLLECTION_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__IF_EXP1

public static final int COLLECTION_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__OWNING_ATTRIBUTE

public static final int COLLECTION_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__NAME

public static final int COLLECTION_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__DEFINITIONS

public static final int COLLECTION_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__OCL_EXPRESSION

public static final int COLLECTION_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__OPERATION

public static final int COLLECTION_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__MAP_TYPE2

public static final int COLLECTION_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__ATTRIBUTE

public static final int COLLECTION_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__MAP_TYPE

public static final int COLLECTION_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__COLLECTION_TYPES

public static final int COLLECTION_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int COLLECTION_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__VARIABLE_DECLARATION

public static final int COLLECTION_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE__ELEMENT_TYPE

public static final int COLLECTION_TYPE__ELEMENT_TYPE
The feature id for the 'Element Type' containment reference.

See Also:
  - Constant Field Values

### COLLECTION_TYPE_FEATURE_COUNT

public static final int COLLECTION_TYPE_FEATURE_COUNT
The number of structural features of the 'Collection Type' class.

See Also:
  - Constant Field Values

### PRIMITIVE

public static final int PRIMITIVE
The meta object id for the '`Primitive`' class.

See Also:
  - `Primitive`
  - `getPrimitive()`
  - Constant Field Values

### PRIMITIVE__LOCATION

public static final int PRIMITIVE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### PRIMITIVE__COMMENTS_BEFORE

public static final int PRIMITIVE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### PRIMITIVE__COMMENTS_AFTER

public static final int PRIMITIVE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### PRIMITIVE__TYPE

public static final int PRIMITIVE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### PRIMITIVE__IF_EXP3

public static final int PRIMITIVE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__APPLIED_PROPERTY

public static final int PRIMITIVE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__COLLECTION

public static final int PRIMITIVE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__LET_EXP

public static final int PRIMITIVE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__LOOP_EXP

public static final int PRIMITIVE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__PARENT_OPERATION

public static final int PRIMITIVE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__INITIALIZED_VARIABLE

public static final int PRIMITIVE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__IF_EXP2

public static final int PRIMITIVE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__OWNING_OPERATION

public static final int PRIMITIVE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__IF_EXP1

public static final int PRIMITIVE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__OWNING_ATTRIBUTE

public static final int PRIMITIVE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__NAME

public static final int PRIMITIVE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### PRIMITIVE__DEFINITIONS

public static final int PRIMITIVE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__OCL_EXPRESSION

public static final int PRIMITIVE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__OPERATION

public static final int PRIMITIVE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__MAP_TYPE2

public static final int PRIMITIVE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__ATTRIBUTE

public static final int PRIMITIVE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__MAP_TYPE

public static final int PRIMITIVE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__COLLECTION_TYPES

public static final int PRIMITIVE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__TUPLE_TYPE_ATTRIBUTE

public static final int PRIMITIVE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE__VARIABLE_DECLARATION

public static final int PRIMITIVE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### PRIMITIVE_FEATURE_COUNT

public static final int PRIMITIVE_FEATURE_COUNT
The number of structural features of the 'Primitive' class.

See Also:
  - Constant Field Values

### STRING_TYPE

public static final int STRING_TYPE
The meta object id for the '`String Type`' class.

See Also:
  - `StringType`
  - `getStringType()`
  - Constant Field Values

### STRING_TYPE__LOCATION

public static final int STRING_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### STRING_TYPE__COMMENTS_BEFORE

public static final int STRING_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### STRING_TYPE__COMMENTS_AFTER

public static final int STRING_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### STRING_TYPE__TYPE

public static final int STRING_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### STRING_TYPE__IF_EXP3

public static final int STRING_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__APPLIED_PROPERTY

public static final int STRING_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__COLLECTION

public static final int STRING_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__LET_EXP

public static final int STRING_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__LOOP_EXP

public static final int STRING_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__PARENT_OPERATION

public static final int STRING_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__INITIALIZED_VARIABLE

public static final int STRING_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__IF_EXP2

public static final int STRING_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__OWNING_OPERATION

public static final int STRING_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__IF_EXP1

public static final int STRING_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__OWNING_ATTRIBUTE

public static final int STRING_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__NAME

public static final int STRING_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### STRING_TYPE__DEFINITIONS

public static final int STRING_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__OCL_EXPRESSION

public static final int STRING_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__OPERATION

public static final int STRING_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__MAP_TYPE2

public static final int STRING_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__ATTRIBUTE

public static final int STRING_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__MAP_TYPE

public static final int STRING_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__COLLECTION_TYPES

public static final int STRING_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int STRING_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE__VARIABLE_DECLARATION

public static final int STRING_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### STRING_TYPE_FEATURE_COUNT

public static final int STRING_TYPE_FEATURE_COUNT
The number of structural features of the 'String Type' class.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE

public static final int BOOLEAN_TYPE
The meta object id for the '`Boolean Type`' class.

See Also:
  - `BooleanType`
  - `getBooleanType()`
  - Constant Field Values

### BOOLEAN_TYPE__LOCATION

public static final int BOOLEAN_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__COMMENTS_BEFORE

public static final int BOOLEAN_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__COMMENTS_AFTER

public static final int BOOLEAN_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__TYPE

public static final int BOOLEAN_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__IF_EXP3

public static final int BOOLEAN_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__APPLIED_PROPERTY

public static final int BOOLEAN_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__COLLECTION

public static final int BOOLEAN_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__LET_EXP

public static final int BOOLEAN_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__LOOP_EXP

public static final int BOOLEAN_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__PARENT_OPERATION

public static final int BOOLEAN_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__INITIALIZED_VARIABLE

public static final int BOOLEAN_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__IF_EXP2

public static final int BOOLEAN_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__OWNING_OPERATION

public static final int BOOLEAN_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__IF_EXP1

public static final int BOOLEAN_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__OWNING_ATTRIBUTE

public static final int BOOLEAN_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__NAME

public static final int BOOLEAN_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__DEFINITIONS

public static final int BOOLEAN_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__OCL_EXPRESSION

public static final int BOOLEAN_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__OPERATION

public static final int BOOLEAN_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__MAP_TYPE2

public static final int BOOLEAN_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__ATTRIBUTE

public static final int BOOLEAN_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__MAP_TYPE

public static final int BOOLEAN_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__COLLECTION_TYPES

public static final int BOOLEAN_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int BOOLEAN_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE__VARIABLE_DECLARATION

public static final int BOOLEAN_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### BOOLEAN_TYPE_FEATURE_COUNT

public static final int BOOLEAN_TYPE_FEATURE_COUNT
The number of structural features of the 'Boolean Type' class.

See Also:
  - Constant Field Values

### NUMERIC_TYPE

public static final int NUMERIC_TYPE
The meta object id for the '`Numeric Type`' class.

See Also:
  - `NumericType`
  - `getNumericType()`
  - Constant Field Values

### NUMERIC_TYPE__LOCATION

public static final int NUMERIC_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__COMMENTS_BEFORE

public static final int NUMERIC_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__COMMENTS_AFTER

public static final int NUMERIC_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__TYPE

public static final int NUMERIC_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__IF_EXP3

public static final int NUMERIC_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__APPLIED_PROPERTY

public static final int NUMERIC_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__COLLECTION

public static final int NUMERIC_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__LET_EXP

public static final int NUMERIC_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__LOOP_EXP

public static final int NUMERIC_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__PARENT_OPERATION

public static final int NUMERIC_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__INITIALIZED_VARIABLE

public static final int NUMERIC_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__IF_EXP2

public static final int NUMERIC_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__OWNING_OPERATION

public static final int NUMERIC_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__IF_EXP1

public static final int NUMERIC_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__OWNING_ATTRIBUTE

public static final int NUMERIC_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__NAME

public static final int NUMERIC_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__DEFINITIONS

public static final int NUMERIC_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__OCL_EXPRESSION

public static final int NUMERIC_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__OPERATION

public static final int NUMERIC_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__MAP_TYPE2

public static final int NUMERIC_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__ATTRIBUTE

public static final int NUMERIC_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__MAP_TYPE

public static final int NUMERIC_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__COLLECTION_TYPES

public static final int NUMERIC_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int NUMERIC_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE__VARIABLE_DECLARATION

public static final int NUMERIC_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### NUMERIC_TYPE_FEATURE_COUNT

public static final int NUMERIC_TYPE_FEATURE_COUNT
The number of structural features of the 'Numeric Type' class.

See Also:
  - Constant Field Values

### INTEGER_TYPE

public static final int INTEGER_TYPE
The meta object id for the '`Integer Type`' class.

See Also:
  - `IntegerType`
  - `getIntegerType()`
  - Constant Field Values

### INTEGER_TYPE__LOCATION

public static final int INTEGER_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### INTEGER_TYPE__COMMENTS_BEFORE

public static final int INTEGER_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### INTEGER_TYPE__COMMENTS_AFTER

public static final int INTEGER_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### INTEGER_TYPE__TYPE

public static final int INTEGER_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__IF_EXP3

public static final int INTEGER_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__APPLIED_PROPERTY

public static final int INTEGER_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__COLLECTION

public static final int INTEGER_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__LET_EXP

public static final int INTEGER_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__LOOP_EXP

public static final int INTEGER_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__PARENT_OPERATION

public static final int INTEGER_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__INITIALIZED_VARIABLE

public static final int INTEGER_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__IF_EXP2

public static final int INTEGER_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__OWNING_OPERATION

public static final int INTEGER_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__IF_EXP1

public static final int INTEGER_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__OWNING_ATTRIBUTE

public static final int INTEGER_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__NAME

public static final int INTEGER_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### INTEGER_TYPE__DEFINITIONS

public static final int INTEGER_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__OCL_EXPRESSION

public static final int INTEGER_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__OPERATION

public static final int INTEGER_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__MAP_TYPE2

public static final int INTEGER_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__ATTRIBUTE

public static final int INTEGER_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__MAP_TYPE

public static final int INTEGER_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__COLLECTION_TYPES

public static final int INTEGER_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int INTEGER_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE__VARIABLE_DECLARATION

public static final int INTEGER_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### INTEGER_TYPE_FEATURE_COUNT

public static final int INTEGER_TYPE_FEATURE_COUNT
The number of structural features of the 'Integer Type' class.

See Also:
  - Constant Field Values

### REAL_TYPE

public static final int REAL_TYPE
The meta object id for the '`Real Type`' class.

See Also:
  - `RealType`
  - `getRealType()`
  - Constant Field Values

### REAL_TYPE__LOCATION

public static final int REAL_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### REAL_TYPE__COMMENTS_BEFORE

public static final int REAL_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### REAL_TYPE__COMMENTS_AFTER

public static final int REAL_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### REAL_TYPE__TYPE

public static final int REAL_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### REAL_TYPE__IF_EXP3

public static final int REAL_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__APPLIED_PROPERTY

public static final int REAL_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__COLLECTION

public static final int REAL_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__LET_EXP

public static final int REAL_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__LOOP_EXP

public static final int REAL_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__PARENT_OPERATION

public static final int REAL_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__INITIALIZED_VARIABLE

public static final int REAL_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__IF_EXP2

public static final int REAL_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__OWNING_OPERATION

public static final int REAL_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__IF_EXP1

public static final int REAL_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__OWNING_ATTRIBUTE

public static final int REAL_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__NAME

public static final int REAL_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### REAL_TYPE__DEFINITIONS

public static final int REAL_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__OCL_EXPRESSION

public static final int REAL_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__OPERATION

public static final int REAL_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__MAP_TYPE2

public static final int REAL_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__ATTRIBUTE

public static final int REAL_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__MAP_TYPE

public static final int REAL_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__COLLECTION_TYPES

public static final int REAL_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int REAL_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE__VARIABLE_DECLARATION

public static final int REAL_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### REAL_TYPE_FEATURE_COUNT

public static final int REAL_TYPE_FEATURE_COUNT
The number of structural features of the 'Real Type' class.

See Also:
  - Constant Field Values

### BAG_TYPE

public static final int BAG_TYPE
The meta object id for the '`Bag Type`' class.

See Also:
  - `BagType`
  - `getBagType()`
  - Constant Field Values

### BAG_TYPE__LOCATION

public static final int BAG_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### BAG_TYPE__COMMENTS_BEFORE

public static final int BAG_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### BAG_TYPE__COMMENTS_AFTER

public static final int BAG_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### BAG_TYPE__TYPE

public static final int BAG_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### BAG_TYPE__IF_EXP3

public static final int BAG_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__APPLIED_PROPERTY

public static final int BAG_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__COLLECTION

public static final int BAG_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__LET_EXP

public static final int BAG_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__LOOP_EXP

public static final int BAG_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__PARENT_OPERATION

public static final int BAG_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__INITIALIZED_VARIABLE

public static final int BAG_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__IF_EXP2

public static final int BAG_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__OWNING_OPERATION

public static final int BAG_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__IF_EXP1

public static final int BAG_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__OWNING_ATTRIBUTE

public static final int BAG_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__NAME

public static final int BAG_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### BAG_TYPE__DEFINITIONS

public static final int BAG_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__OCL_EXPRESSION

public static final int BAG_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__OPERATION

public static final int BAG_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__MAP_TYPE2

public static final int BAG_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__ATTRIBUTE

public static final int BAG_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__MAP_TYPE

public static final int BAG_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__COLLECTION_TYPES

public static final int BAG_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int BAG_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__VARIABLE_DECLARATION

public static final int BAG_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### BAG_TYPE__ELEMENT_TYPE

public static final int BAG_TYPE__ELEMENT_TYPE
The feature id for the 'Element Type' containment reference.

See Also:
  - Constant Field Values

### BAG_TYPE_FEATURE_COUNT

public static final int BAG_TYPE_FEATURE_COUNT
The number of structural features of the 'Bag Type' class.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE

public static final int ORDERED_SET_TYPE
The meta object id for the '`Ordered Set Type`' class.

See Also:
  - `OrderedSetType`
  - `getOrderedSetType()`
  - Constant Field Values

### ORDERED_SET_TYPE__LOCATION

public static final int ORDERED_SET_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__COMMENTS_BEFORE

public static final int ORDERED_SET_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__COMMENTS_AFTER

public static final int ORDERED_SET_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__TYPE

public static final int ORDERED_SET_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__IF_EXP3

public static final int ORDERED_SET_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__APPLIED_PROPERTY

public static final int ORDERED_SET_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__COLLECTION

public static final int ORDERED_SET_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__LET_EXP

public static final int ORDERED_SET_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__LOOP_EXP

public static final int ORDERED_SET_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__PARENT_OPERATION

public static final int ORDERED_SET_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__INITIALIZED_VARIABLE

public static final int ORDERED_SET_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__IF_EXP2

public static final int ORDERED_SET_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__OWNING_OPERATION

public static final int ORDERED_SET_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__IF_EXP1

public static final int ORDERED_SET_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__OWNING_ATTRIBUTE

public static final int ORDERED_SET_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__NAME

public static final int ORDERED_SET_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__DEFINITIONS

public static final int ORDERED_SET_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__OCL_EXPRESSION

public static final int ORDERED_SET_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__OPERATION

public static final int ORDERED_SET_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__MAP_TYPE2

public static final int ORDERED_SET_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__ATTRIBUTE

public static final int ORDERED_SET_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__MAP_TYPE

public static final int ORDERED_SET_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__COLLECTION_TYPES

public static final int ORDERED_SET_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int ORDERED_SET_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__VARIABLE_DECLARATION

public static final int ORDERED_SET_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE__ELEMENT_TYPE

public static final int ORDERED_SET_TYPE__ELEMENT_TYPE
The feature id for the 'Element Type' containment reference.

See Also:
  - Constant Field Values

### ORDERED_SET_TYPE_FEATURE_COUNT

public static final int ORDERED_SET_TYPE_FEATURE_COUNT
The number of structural features of the 'Ordered Set Type' class.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE

public static final int SEQUENCE_TYPE
The meta object id for the '`Sequence Type`' class.

See Also:
  - `SequenceType`
  - `getSequenceType()`
  - Constant Field Values

### SEQUENCE_TYPE__LOCATION

public static final int SEQUENCE_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__COMMENTS_BEFORE

public static final int SEQUENCE_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__COMMENTS_AFTER

public static final int SEQUENCE_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__TYPE

public static final int SEQUENCE_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__IF_EXP3

public static final int SEQUENCE_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__APPLIED_PROPERTY

public static final int SEQUENCE_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__COLLECTION

public static final int SEQUENCE_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__LET_EXP

public static final int SEQUENCE_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__LOOP_EXP

public static final int SEQUENCE_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__PARENT_OPERATION

public static final int SEQUENCE_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__INITIALIZED_VARIABLE

public static final int SEQUENCE_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__IF_EXP2

public static final int SEQUENCE_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__OWNING_OPERATION

public static final int SEQUENCE_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__IF_EXP1

public static final int SEQUENCE_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__OWNING_ATTRIBUTE

public static final int SEQUENCE_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__NAME

public static final int SEQUENCE_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__DEFINITIONS

public static final int SEQUENCE_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__OCL_EXPRESSION

public static final int SEQUENCE_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__OPERATION

public static final int SEQUENCE_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__MAP_TYPE2

public static final int SEQUENCE_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__ATTRIBUTE

public static final int SEQUENCE_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__MAP_TYPE

public static final int SEQUENCE_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__COLLECTION_TYPES

public static final int SEQUENCE_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int SEQUENCE_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__VARIABLE_DECLARATION

public static final int SEQUENCE_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE__ELEMENT_TYPE

public static final int SEQUENCE_TYPE__ELEMENT_TYPE
The feature id for the 'Element Type' containment reference.

See Also:
  - Constant Field Values

### SEQUENCE_TYPE_FEATURE_COUNT

public static final int SEQUENCE_TYPE_FEATURE_COUNT
The number of structural features of the 'Sequence Type' class.

See Also:
  - Constant Field Values

### SET_TYPE

public static final int SET_TYPE
The meta object id for the '`Set Type`' class.

See Also:
  - `SetType`
  - `getSetType()`
  - Constant Field Values

### SET_TYPE__LOCATION

public static final int SET_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### SET_TYPE__COMMENTS_BEFORE

public static final int SET_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### SET_TYPE__COMMENTS_AFTER

public static final int SET_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### SET_TYPE__TYPE

public static final int SET_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### SET_TYPE__IF_EXP3

public static final int SET_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__APPLIED_PROPERTY

public static final int SET_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__COLLECTION

public static final int SET_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__LET_EXP

public static final int SET_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__LOOP_EXP

public static final int SET_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__PARENT_OPERATION

public static final int SET_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__INITIALIZED_VARIABLE

public static final int SET_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__IF_EXP2

public static final int SET_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__OWNING_OPERATION

public static final int SET_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__IF_EXP1

public static final int SET_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__OWNING_ATTRIBUTE

public static final int SET_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__NAME

public static final int SET_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### SET_TYPE__DEFINITIONS

public static final int SET_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__OCL_EXPRESSION

public static final int SET_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__OPERATION

public static final int SET_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__MAP_TYPE2

public static final int SET_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__ATTRIBUTE

public static final int SET_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__MAP_TYPE

public static final int SET_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__COLLECTION_TYPES

public static final int SET_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int SET_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__VARIABLE_DECLARATION

public static final int SET_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### SET_TYPE__ELEMENT_TYPE

public static final int SET_TYPE__ELEMENT_TYPE
The feature id for the 'Element Type' containment reference.

See Also:
  - Constant Field Values

### SET_TYPE_FEATURE_COUNT

public static final int SET_TYPE_FEATURE_COUNT
The number of structural features of the 'Set Type' class.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE

public static final int OCL_ANY_TYPE
The meta object id for the '`Ocl Any Type`' class.

See Also:
  - `OclAnyType`
  - `getOclAnyType()`
  - Constant Field Values

### OCL_ANY_TYPE__LOCATION

public static final int OCL_ANY_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__COMMENTS_BEFORE

public static final int OCL_ANY_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__COMMENTS_AFTER

public static final int OCL_ANY_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__TYPE

public static final int OCL_ANY_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__IF_EXP3

public static final int OCL_ANY_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__APPLIED_PROPERTY

public static final int OCL_ANY_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__COLLECTION

public static final int OCL_ANY_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__LET_EXP

public static final int OCL_ANY_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__LOOP_EXP

public static final int OCL_ANY_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__PARENT_OPERATION

public static final int OCL_ANY_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__INITIALIZED_VARIABLE

public static final int OCL_ANY_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__IF_EXP2

public static final int OCL_ANY_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__OWNING_OPERATION

public static final int OCL_ANY_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__IF_EXP1

public static final int OCL_ANY_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__OWNING_ATTRIBUTE

public static final int OCL_ANY_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__NAME

public static final int OCL_ANY_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__DEFINITIONS

public static final int OCL_ANY_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__OCL_EXPRESSION

public static final int OCL_ANY_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__OPERATION

public static final int OCL_ANY_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__MAP_TYPE2

public static final int OCL_ANY_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__ATTRIBUTE

public static final int OCL_ANY_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__MAP_TYPE

public static final int OCL_ANY_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__COLLECTION_TYPES

public static final int OCL_ANY_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int OCL_ANY_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE__VARIABLE_DECLARATION

public static final int OCL_ANY_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### OCL_ANY_TYPE_FEATURE_COUNT

public static final int OCL_ANY_TYPE_FEATURE_COUNT
The number of structural features of the 'Ocl Any Type' class.

See Also:
  - Constant Field Values

### TUPLE_TYPE

public static final int TUPLE_TYPE
The meta object id for the '`Tuple Type`' class.

See Also:
  - `TupleType`
  - `getTupleType()`
  - Constant Field Values

### TUPLE_TYPE__LOCATION

public static final int TUPLE_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### TUPLE_TYPE__COMMENTS_BEFORE

public static final int TUPLE_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### TUPLE_TYPE__COMMENTS_AFTER

public static final int TUPLE_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### TUPLE_TYPE__TYPE

public static final int TUPLE_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__IF_EXP3

public static final int TUPLE_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__APPLIED_PROPERTY

public static final int TUPLE_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__COLLECTION

public static final int TUPLE_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__LET_EXP

public static final int TUPLE_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__LOOP_EXP

public static final int TUPLE_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__PARENT_OPERATION

public static final int TUPLE_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__INITIALIZED_VARIABLE

public static final int TUPLE_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__IF_EXP2

public static final int TUPLE_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__OWNING_OPERATION

public static final int TUPLE_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__IF_EXP1

public static final int TUPLE_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__OWNING_ATTRIBUTE

public static final int TUPLE_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__NAME

public static final int TUPLE_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### TUPLE_TYPE__DEFINITIONS

public static final int TUPLE_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__OCL_EXPRESSION

public static final int TUPLE_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__OPERATION

public static final int TUPLE_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__MAP_TYPE2

public static final int TUPLE_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__ATTRIBUTE

public static final int TUPLE_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__MAP_TYPE

public static final int TUPLE_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__COLLECTION_TYPES

public static final int TUPLE_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int TUPLE_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__VARIABLE_DECLARATION

public static final int TUPLE_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE__ATTRIBUTES

public static final int TUPLE_TYPE__ATTRIBUTES
The feature id for the 'Attributes' containment reference list.

See Also:
  - Constant Field Values

### TUPLE_TYPE_FEATURE_COUNT

public static final int TUPLE_TYPE_FEATURE_COUNT
The number of structural features of the 'Tuple Type' class.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE

public static final int TUPLE_TYPE_ATTRIBUTE
The meta object id for the '`Tuple Type Attribute`' class.

See Also:
  - `TupleTypeAttribute`
  - `getTupleTypeAttribute()`
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE__LOCATION

public static final int TUPLE_TYPE_ATTRIBUTE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE__COMMENTS_BEFORE

public static final int TUPLE_TYPE_ATTRIBUTE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE__COMMENTS_AFTER

public static final int TUPLE_TYPE_ATTRIBUTE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE__TYPE

public static final int TUPLE_TYPE_ATTRIBUTE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE__TUPLE_TYPE

public static final int TUPLE_TYPE_ATTRIBUTE__TUPLE_TYPE
The feature id for the 'Tuple Type' container reference.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE__NAME

public static final int TUPLE_TYPE_ATTRIBUTE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### TUPLE_TYPE_ATTRIBUTE_FEATURE_COUNT

public static final int TUPLE_TYPE_ATTRIBUTE_FEATURE_COUNT
The number of structural features of the 'Tuple Type Attribute' class.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT

public static final int OCL_MODEL_ELEMENT
The meta object id for the '`Ocl Model Element`' class.

See Also:
  - `OclModelElement`
  - `getOclModelElement()`
  - Constant Field Values

### OCL_MODEL_ELEMENT__LOCATION

public static final int OCL_MODEL_ELEMENT__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__COMMENTS_BEFORE

public static final int OCL_MODEL_ELEMENT__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__COMMENTS_AFTER

public static final int OCL_MODEL_ELEMENT__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__TYPE

public static final int OCL_MODEL_ELEMENT__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__IF_EXP3

public static final int OCL_MODEL_ELEMENT__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__APPLIED_PROPERTY

public static final int OCL_MODEL_ELEMENT__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__COLLECTION

public static final int OCL_MODEL_ELEMENT__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__LET_EXP

public static final int OCL_MODEL_ELEMENT__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__LOOP_EXP

public static final int OCL_MODEL_ELEMENT__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__PARENT_OPERATION

public static final int OCL_MODEL_ELEMENT__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__INITIALIZED_VARIABLE

public static final int OCL_MODEL_ELEMENT__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__IF_EXP2

public static final int OCL_MODEL_ELEMENT__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__OWNING_OPERATION

public static final int OCL_MODEL_ELEMENT__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__IF_EXP1

public static final int OCL_MODEL_ELEMENT__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__OWNING_ATTRIBUTE

public static final int OCL_MODEL_ELEMENT__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__NAME

public static final int OCL_MODEL_ELEMENT__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__DEFINITIONS

public static final int OCL_MODEL_ELEMENT__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__OCL_EXPRESSION

public static final int OCL_MODEL_ELEMENT__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__OPERATION

public static final int OCL_MODEL_ELEMENT__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__MAP_TYPE2

public static final int OCL_MODEL_ELEMENT__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__ATTRIBUTE

public static final int OCL_MODEL_ELEMENT__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__MAP_TYPE

public static final int OCL_MODEL_ELEMENT__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__COLLECTION_TYPES

public static final int OCL_MODEL_ELEMENT__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__TUPLE_TYPE_ATTRIBUTE

public static final int OCL_MODEL_ELEMENT__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__VARIABLE_DECLARATION

public static final int OCL_MODEL_ELEMENT__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT__MODEL

public static final int OCL_MODEL_ELEMENT__MODEL
The feature id for the 'Model' reference.

See Also:
  - Constant Field Values

### OCL_MODEL_ELEMENT_FEATURE_COUNT

public static final int OCL_MODEL_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Ocl Model Element' class.

See Also:
  - Constant Field Values

### MAP_TYPE

public static final int MAP_TYPE
The meta object id for the '`Map Type`' class.

See Also:
  - `MapType`
  - `getMapType()`
  - Constant Field Values

### MAP_TYPE__LOCATION

public static final int MAP_TYPE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### MAP_TYPE__COMMENTS_BEFORE

public static final int MAP_TYPE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### MAP_TYPE__COMMENTS_AFTER

public static final int MAP_TYPE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### MAP_TYPE__TYPE

public static final int MAP_TYPE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### MAP_TYPE__IF_EXP3

public static final int MAP_TYPE__IF_EXP3
The feature id for the 'If Exp3' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__APPLIED_PROPERTY

public static final int MAP_TYPE__APPLIED_PROPERTY
The feature id for the 'Applied Property' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__COLLECTION

public static final int MAP_TYPE__COLLECTION
The feature id for the 'Collection' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__LET_EXP

public static final int MAP_TYPE__LET_EXP
The feature id for the 'Let Exp' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__LOOP_EXP

public static final int MAP_TYPE__LOOP_EXP
The feature id for the 'Loop Exp' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__PARENT_OPERATION

public static final int MAP_TYPE__PARENT_OPERATION
The feature id for the 'Parent Operation' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__INITIALIZED_VARIABLE

public static final int MAP_TYPE__INITIALIZED_VARIABLE
The feature id for the 'Initialized Variable' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__IF_EXP2

public static final int MAP_TYPE__IF_EXP2
The feature id for the 'If Exp2' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__OWNING_OPERATION

public static final int MAP_TYPE__OWNING_OPERATION
The feature id for the 'Owning Operation' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__IF_EXP1

public static final int MAP_TYPE__IF_EXP1
The feature id for the 'If Exp1' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__OWNING_ATTRIBUTE

public static final int MAP_TYPE__OWNING_ATTRIBUTE
The feature id for the 'Owning Attribute' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__NAME

public static final int MAP_TYPE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### MAP_TYPE__DEFINITIONS

public static final int MAP_TYPE__DEFINITIONS
The feature id for the 'Definitions' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__OCL_EXPRESSION

public static final int MAP_TYPE__OCL_EXPRESSION
The feature id for the 'Ocl Expression' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__OPERATION

public static final int MAP_TYPE__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__MAP_TYPE2

public static final int MAP_TYPE__MAP_TYPE2
The feature id for the 'Map Type2' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__ATTRIBUTE

public static final int MAP_TYPE__ATTRIBUTE
The feature id for the 'Attribute' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__MAP_TYPE

public static final int MAP_TYPE__MAP_TYPE
The feature id for the 'Map Type' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__COLLECTION_TYPES

public static final int MAP_TYPE__COLLECTION_TYPES
The feature id for the 'Collection Types' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__TUPLE_TYPE_ATTRIBUTE

public static final int MAP_TYPE__TUPLE_TYPE_ATTRIBUTE
The feature id for the 'Tuple Type Attribute' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__VARIABLE_DECLARATION

public static final int MAP_TYPE__VARIABLE_DECLARATION
The feature id for the 'Variable Declaration' container reference.

See Also:
  - Constant Field Values

### MAP_TYPE__VALUE_TYPE

public static final int MAP_TYPE__VALUE_TYPE
The feature id for the 'Value Type' containment reference.

See Also:
  - Constant Field Values

### MAP_TYPE__KEY_TYPE

public static final int MAP_TYPE__KEY_TYPE
The feature id for the 'Key Type' containment reference.

See Also:
  - Constant Field Values

### MAP_TYPE_FEATURE_COUNT

public static final int MAP_TYPE_FEATURE_COUNT
The number of structural features of the 'Map Type' class.

See Also:
  - Constant Field Values

### OCL_FEATURE_DEFINITION

public static final int OCL_FEATURE_DEFINITION
The meta object id for the '`Ocl Feature Definition`' class.

See Also:
  - `OclFeatureDefinition`
  - `getOclFeatureDefinition()`
  - Constant Field Values

### OCL_FEATURE_DEFINITION__LOCATION

public static final int OCL_FEATURE_DEFINITION__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_FEATURE_DEFINITION__COMMENTS_BEFORE

public static final int OCL_FEATURE_DEFINITION__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_FEATURE_DEFINITION__COMMENTS_AFTER

public static final int OCL_FEATURE_DEFINITION__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_FEATURE_DEFINITION__FEATURE

public static final int OCL_FEATURE_DEFINITION__FEATURE
The feature id for the 'Feature' containment reference.

See Also:
  - Constant Field Values

### OCL_FEATURE_DEFINITION__CONTEXT_

public static final int OCL_FEATURE_DEFINITION__CONTEXT_
The feature id for the 'Context ' containment reference.

See Also:
  - Constant Field Values

### OCL_FEATURE_DEFINITION_FEATURE_COUNT

public static final int OCL_FEATURE_DEFINITION_FEATURE_COUNT
The number of structural features of the 'Ocl Feature Definition' class.

See Also:
  - Constant Field Values

### OCL_CONTEXT_DEFINITION

public static final int OCL_CONTEXT_DEFINITION
The meta object id for the '`Ocl Context Definition`' class.

See Also:
  - `OclContextDefinition`
  - `getOclContextDefinition()`
  - Constant Field Values

### OCL_CONTEXT_DEFINITION__LOCATION

public static final int OCL_CONTEXT_DEFINITION__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_CONTEXT_DEFINITION__COMMENTS_BEFORE

public static final int OCL_CONTEXT_DEFINITION__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_CONTEXT_DEFINITION__COMMENTS_AFTER

public static final int OCL_CONTEXT_DEFINITION__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_CONTEXT_DEFINITION__DEFINITION

public static final int OCL_CONTEXT_DEFINITION__DEFINITION
The feature id for the 'Definition' container reference.

See Also:
  - Constant Field Values

### OCL_CONTEXT_DEFINITION__CONTEXT_

public static final int OCL_CONTEXT_DEFINITION__CONTEXT_
The feature id for the 'Context ' containment reference.

See Also:
  - Constant Field Values

### OCL_CONTEXT_DEFINITION_FEATURE_COUNT

public static final int OCL_CONTEXT_DEFINITION_FEATURE_COUNT
The number of structural features of the 'Ocl Context Definition' class.

See Also:
  - Constant Field Values

### OCL_FEATURE

public static final int OCL_FEATURE
The meta object id for the '`Ocl Feature`' class.

See Also:
  - `OclFeature`
  - `getOclFeature()`
  - Constant Field Values

### OCL_FEATURE__LOCATION

public static final int OCL_FEATURE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_FEATURE__COMMENTS_BEFORE

public static final int OCL_FEATURE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_FEATURE__COMMENTS_AFTER

public static final int OCL_FEATURE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_FEATURE__DEFINITION

public static final int OCL_FEATURE__DEFINITION
The feature id for the 'Definition' container reference.

See Also:
  - Constant Field Values

### OCL_FEATURE_FEATURE_COUNT

public static final int OCL_FEATURE_FEATURE_COUNT
The number of structural features of the 'Ocl Feature' class.

See Also:
  - Constant Field Values

### ATTRIBUTE

public static final int ATTRIBUTE
The meta object id for the '`Attribute`' class.

See Also:
  - `Attribute`
  - `getAttribute()`
  - Constant Field Values

### ATTRIBUTE__LOCATION

public static final int ATTRIBUTE__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### ATTRIBUTE__COMMENTS_BEFORE

public static final int ATTRIBUTE__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### ATTRIBUTE__COMMENTS_AFTER

public static final int ATTRIBUTE__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### ATTRIBUTE__DEFINITION

public static final int ATTRIBUTE__DEFINITION
The feature id for the 'Definition' container reference.

See Also:
  - Constant Field Values

### ATTRIBUTE__NAME

public static final int ATTRIBUTE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### ATTRIBUTE__INIT_EXPRESSION

public static final int ATTRIBUTE__INIT_EXPRESSION
The feature id for the 'Init Expression' containment reference.

See Also:
  - Constant Field Values

### ATTRIBUTE__TYPE

public static final int ATTRIBUTE__TYPE
The feature id for the 'Type' containment reference.

See Also:
  - Constant Field Values

### ATTRIBUTE_FEATURE_COUNT

public static final int ATTRIBUTE_FEATURE_COUNT
The number of structural features of the 'Attribute' class.

See Also:
  - Constant Field Values

### OPERATION

public static final int OPERATION
The meta object id for the '`Operation`' class.

See Also:
  - `Operation`
  - `getOperation()`
  - Constant Field Values

### OPERATION__LOCATION

public static final int OPERATION__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OPERATION__COMMENTS_BEFORE

public static final int OPERATION__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OPERATION__COMMENTS_AFTER

public static final int OPERATION__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OPERATION__DEFINITION

public static final int OPERATION__DEFINITION
The feature id for the 'Definition' container reference.

See Also:
  - Constant Field Values

### OPERATION__NAME

public static final int OPERATION__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OPERATION__PARAMETERS

public static final int OPERATION__PARAMETERS
The feature id for the 'Parameters' containment reference list.

See Also:
  - Constant Field Values

### OPERATION__RETURN_TYPE

public static final int OPERATION__RETURN_TYPE
The feature id for the 'Return Type' containment reference.

See Also:
  - Constant Field Values

### OPERATION__BODY

public static final int OPERATION__BODY
The feature id for the 'Body' containment reference.

See Also:
  - Constant Field Values

### OPERATION_FEATURE_COUNT

public static final int OPERATION_FEATURE_COUNT
The number of structural features of the 'Operation' class.

See Also:
  - Constant Field Values

### OCL_MODEL

public static final int OCL_MODEL
The meta object id for the '`Ocl Model`' class.

See Also:
  - `OclModel`
  - `getOclModel()`
  - Constant Field Values

### OCL_MODEL__LOCATION

public static final int OCL_MODEL__LOCATION
The feature id for the 'Location' attribute.

See Also:
  - Constant Field Values

### OCL_MODEL__COMMENTS_BEFORE

public static final int OCL_MODEL__COMMENTS_BEFORE
The feature id for the 'Comments Before' attribute list.

See Also:
  - Constant Field Values

### OCL_MODEL__COMMENTS_AFTER

public static final int OCL_MODEL__COMMENTS_AFTER
The feature id for the 'Comments After' attribute list.

See Also:
  - Constant Field Values

### OCL_MODEL__NAME

public static final int OCL_MODEL__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OCL_MODEL__METAMODEL

public static final int OCL_MODEL__METAMODEL
The feature id for the 'Metamodel' reference.

See Also:
  - Constant Field Values

### OCL_MODEL__ELEMENTS

public static final int OCL_MODEL__ELEMENTS
The feature id for the 'Elements' reference list.

See Also:
  - Constant Field Values

### OCL_MODEL__MODEL

public static final int OCL_MODEL__MODEL
The feature id for the 'Model' reference list.

See Also:
  - Constant Field Values

### OCL_MODEL_FEATURE_COUNT

public static final int OCL_MODEL_FEATURE_COUNT
The number of structural features of the 'Ocl Model' class.

See Also:
  - Constant Field Values

## Method Details

### init

public static OCLPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getOclExpression

public org.eclipse.emf.ecore.EClass getOclExpression()
Returns the meta object for class '`Ocl Expression`'.

Returns:
  the meta object for class 'Ocl Expression'.
See Also:
  - `OclExpression`

### getOclExpression_Type

public org.eclipse.emf.ecore.EReference getOclExpression_Type()
Returns the meta object for the containment reference '`Type`'.

Returns:
  the meta object for the containment reference 'Type'.
See Also:
  - `OclExpression.getType()`
  - `getOclExpression()`

### getOclExpression_IfExp3

public org.eclipse.emf.ecore.EReference getOclExpression_IfExp3()
Returns the meta object for the container reference '`If Exp3`'.

Returns:
  the meta object for the container reference 'If Exp3'.
See Also:
  - `OclExpression.getIfExp3()`
  - `getOclExpression()`

### getOclExpression_AppliedProperty

public org.eclipse.emf.ecore.EReference getOclExpression_AppliedProperty()
Returns the meta object for the container reference '`Applied Property`'.

Returns:
  the meta object for the container reference 'Applied Property'.
See Also:
  - `OclExpression.getAppliedProperty()`
  - `getOclExpression()`

### getOclExpression_Collection

public org.eclipse.emf.ecore.EReference getOclExpression_Collection()
Returns the meta object for the container reference '`Collection`'.

Returns:
  the meta object for the container reference 'Collection'.
See Also:
  - `OclExpression.getCollection()`
  - `getOclExpression()`

### getOclExpression_LetExp

public org.eclipse.emf.ecore.EReference getOclExpression_LetExp()
Returns the meta object for the container reference '`Let Exp`'.

Returns:
  the meta object for the container reference 'Let Exp'.
See Also:
  - `OclExpression.getLetExp()`
  - `getOclExpression()`

### getOclExpression_LoopExp

public org.eclipse.emf.ecore.EReference getOclExpression_LoopExp()
Returns the meta object for the container reference '`Loop Exp`'.

Returns:
  the meta object for the container reference 'Loop Exp'.
See Also:
  - `OclExpression.getLoopExp()`
  - `getOclExpression()`

### getOclExpression_ParentOperation

public org.eclipse.emf.ecore.EReference getOclExpression_ParentOperation()
Returns the meta object for the container reference '`Parent Operation`'.

Returns:
  the meta object for the container reference 'Parent Operation'.
See Also:
  - `OclExpression.getParentOperation()`
  - `getOclExpression()`

### getOclExpression_InitializedVariable

public org.eclipse.emf.ecore.EReference getOclExpression_InitializedVariable()
Returns the meta object for the container reference '`Initialized Variable`'.

Returns:
  the meta object for the container reference 'Initialized Variable'.
See Also:
  - `OclExpression.getInitializedVariable()`
  - `getOclExpression()`

### getOclExpression_IfExp2

public org.eclipse.emf.ecore.EReference getOclExpression_IfExp2()
Returns the meta object for the container reference '`If Exp2`'.

Returns:
  the meta object for the container reference 'If Exp2'.
See Also:
  - `OclExpression.getIfExp2()`
  - `getOclExpression()`

### getOclExpression_OwningOperation

public org.eclipse.emf.ecore.EReference getOclExpression_OwningOperation()
Returns the meta object for the container reference '`Owning Operation`'.

Returns:
  the meta object for the container reference 'Owning Operation'.
See Also:
  - `OclExpression.getOwningOperation()`
  - `getOclExpression()`

### getOclExpression_IfExp1

public org.eclipse.emf.ecore.EReference getOclExpression_IfExp1()
Returns the meta object for the container reference '`If Exp1`'.

Returns:
  the meta object for the container reference 'If Exp1'.
See Also:
  - `OclExpression.getIfExp1()`
  - `getOclExpression()`

### getOclExpression_OwningAttribute

public org.eclipse.emf.ecore.EReference getOclExpression_OwningAttribute()
Returns the meta object for the container reference '`Owning Attribute`'.

Returns:
  the meta object for the container reference 'Owning Attribute'.
See Also:
  - `OclExpression.getOwningAttribute()`
  - `getOclExpression()`

### getVariableExp

public org.eclipse.emf.ecore.EClass getVariableExp()
Returns the meta object for class '`Variable Exp`'.

Returns:
  the meta object for class 'Variable Exp'.
See Also:
  - `VariableExp`

### getVariableExp_ReferredVariable

public org.eclipse.emf.ecore.EReference getVariableExp_ReferredVariable()
Returns the meta object for the reference '`Referred Variable`'.

Returns:
  the meta object for the reference 'Referred Variable'.
See Also:
  - `VariableExp.getReferredVariable()`
  - `getVariableExp()`

### getSuperExp

public org.eclipse.emf.ecore.EClass getSuperExp()
Returns the meta object for class '`Super Exp`'.

Returns:
  the meta object for class 'Super Exp'.
See Also:
  - `SuperExp`

### getPrimitiveExp

public org.eclipse.emf.ecore.EClass getPrimitiveExp()
Returns the meta object for class '`Primitive Exp`'.

Returns:
  the meta object for class 'Primitive Exp'.
See Also:
  - `PrimitiveExp`

### getStringExp

public org.eclipse.emf.ecore.EClass getStringExp()
Returns the meta object for class '`String Exp`'.

Returns:
  the meta object for class 'String Exp'.
See Also:
  - `StringExp`

### getStringExp_StringSymbol

public org.eclipse.emf.ecore.EAttribute getStringExp_StringSymbol()
Returns the meta object for the attribute '`String Symbol`'.

Returns:
  the meta object for the attribute 'String Symbol'.
See Also:
  - `StringExp.getStringSymbol()`
  - `getStringExp()`

### getBooleanExp

public org.eclipse.emf.ecore.EClass getBooleanExp()
Returns the meta object for class '`Boolean Exp`'.

Returns:
  the meta object for class 'Boolean Exp'.
See Also:
  - `BooleanExp`

### getBooleanExp_BooleanSymbol

public org.eclipse.emf.ecore.EAttribute getBooleanExp_BooleanSymbol()
Returns the meta object for the attribute '`Boolean Symbol`'.

Returns:
  the meta object for the attribute 'Boolean Symbol'.
See Also:
  - `BooleanExp.isBooleanSymbol()`
  - `getBooleanExp()`

### getNumericExp

public org.eclipse.emf.ecore.EClass getNumericExp()
Returns the meta object for class '`Numeric Exp`'.

Returns:
  the meta object for class 'Numeric Exp'.
See Also:
  - `NumericExp`

### getRealExp

public org.eclipse.emf.ecore.EClass getRealExp()
Returns the meta object for class '`Real Exp`'.

Returns:
  the meta object for class 'Real Exp'.
See Also:
  - `RealExp`

### getRealExp_RealSymbol

public org.eclipse.emf.ecore.EAttribute getRealExp_RealSymbol()
Returns the meta object for the attribute '`Real Symbol`'.

Returns:
  the meta object for the attribute 'Real Symbol'.
See Also:
  - `RealExp.getRealSymbol()`
  - `getRealExp()`

### getIntegerExp

public org.eclipse.emf.ecore.EClass getIntegerExp()
Returns the meta object for class '`Integer Exp`'.

Returns:
  the meta object for class 'Integer Exp'.
See Also:
  - `IntegerExp`

### getIntegerExp_IntegerSymbol

public org.eclipse.emf.ecore.EAttribute getIntegerExp_IntegerSymbol()
Returns the meta object for the attribute '`Integer Symbol`'.

Returns:
  the meta object for the attribute 'Integer Symbol'.
See Also:
  - `IntegerExp.getIntegerSymbol()`
  - `getIntegerExp()`

### getCollectionExp

public org.eclipse.emf.ecore.EClass getCollectionExp()
Returns the meta object for class '`Collection Exp`'.

Returns:
  the meta object for class 'Collection Exp'.
See Also:
  - `CollectionExp`

### getCollectionExp_Elements

public org.eclipse.emf.ecore.EReference getCollectionExp_Elements()
Returns the meta object for the containment reference list '`Elements`'.

Returns:
  the meta object for the containment reference list 'Elements'.
See Also:
  - `CollectionExp.getElements()`
  - `getCollectionExp()`

### getBagExp

public org.eclipse.emf.ecore.EClass getBagExp()
Returns the meta object for class '`Bag Exp`'.

Returns:
  the meta object for class 'Bag Exp'.
See Also:
  - `BagExp`

### getOrderedSetExp

public org.eclipse.emf.ecore.EClass getOrderedSetExp()
Returns the meta object for class '`Ordered Set Exp`'.

Returns:
  the meta object for class 'Ordered Set Exp'.
See Also:
  - `OrderedSetExp`

### getSequenceExp

public org.eclipse.emf.ecore.EClass getSequenceExp()
Returns the meta object for class '`Sequence Exp`'.

Returns:
  the meta object for class 'Sequence Exp'.
See Also:
  - `SequenceExp`

### getSetExp

public org.eclipse.emf.ecore.EClass getSetExp()
Returns the meta object for class '`Set Exp`'.

Returns:
  the meta object for class 'Set Exp'.
See Also:
  - `SetExp`

### getTupleExp

public org.eclipse.emf.ecore.EClass getTupleExp()
Returns the meta object for class '`Tuple Exp`'.

Returns:
  the meta object for class 'Tuple Exp'.
See Also:
  - `TupleExp`

### getTupleExp_TuplePart

public org.eclipse.emf.ecore.EReference getTupleExp_TuplePart()
Returns the meta object for the containment reference list '`Tuple Part`'.

Returns:
  the meta object for the containment reference list 'Tuple Part'.
See Also:
  - `TupleExp.getTuplePart()`
  - `getTupleExp()`

### getTuplePart

public org.eclipse.emf.ecore.EClass getTuplePart()
Returns the meta object for class '`Tuple Part`'.

Returns:
  the meta object for class 'Tuple Part'.
See Also:
  - `TuplePart`

### getTuplePart_Tuple

public org.eclipse.emf.ecore.EReference getTuplePart_Tuple()
Returns the meta object for the container reference '`Tuple`'.

Returns:
  the meta object for the container reference 'Tuple'.
See Also:
  - `TuplePart.getTuple()`
  - `getTuplePart()`

### getMapExp

public org.eclipse.emf.ecore.EClass getMapExp()
Returns the meta object for class '`Map Exp`'.

Returns:
  the meta object for class 'Map Exp'.
See Also:
  - `MapExp`

### getMapExp_Elements

public org.eclipse.emf.ecore.EReference getMapExp_Elements()
Returns the meta object for the containment reference list '`Elements`'.

Returns:
  the meta object for the containment reference list 'Elements'.
See Also:
  - `MapExp.getElements()`
  - `getMapExp()`

### getMapElement

public org.eclipse.emf.ecore.EClass getMapElement()
Returns the meta object for class '`Map Element`'.

Returns:
  the meta object for class 'Map Element'.
See Also:
  - `MapElement`

### getMapElement_Map

public org.eclipse.emf.ecore.EReference getMapElement_Map()
Returns the meta object for the container reference '`Map`'.

Returns:
  the meta object for the container reference 'Map'.
See Also:
  - `MapElement.getMap()`
  - `getMapElement()`

### getMapElement_Key

public org.eclipse.emf.ecore.EReference getMapElement_Key()
Returns the meta object for the containment reference '`Key`'.

Returns:
  the meta object for the containment reference 'Key'.
See Also:
  - `MapElement.getKey()`
  - `getMapElement()`

### getMapElement_Value

public org.eclipse.emf.ecore.EReference getMapElement_Value()
Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `MapElement.getValue()`
  - `getMapElement()`

### getEnumLiteralExp

public org.eclipse.emf.ecore.EClass getEnumLiteralExp()
Returns the meta object for class '`Enum Literal Exp`'.

Returns:
  the meta object for class 'Enum Literal Exp'.
See Also:
  - `EnumLiteralExp`

### getEnumLiteralExp_Name

public org.eclipse.emf.ecore.EAttribute getEnumLiteralExp_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `EnumLiteralExp.getName()`
  - `getEnumLiteralExp()`

### getOclUndefinedExp

public org.eclipse.emf.ecore.EClass getOclUndefinedExp()
Returns the meta object for class '`Ocl Undefined Exp`'.

Returns:
  the meta object for class 'Ocl Undefined Exp'.
See Also:
  - `OclUndefinedExp`

### getPropertyCallExp

public org.eclipse.emf.ecore.EClass getPropertyCallExp()
Returns the meta object for class '`Property Call Exp`'.

Returns:
  the meta object for class 'Property Call Exp'.
See Also:
  - `PropertyCallExp`

### getPropertyCallExp_Source

public org.eclipse.emf.ecore.EReference getPropertyCallExp_Source()
Returns the meta object for the containment reference '`Source`'.

Returns:
  the meta object for the containment reference 'Source'.
See Also:
  - `PropertyCallExp.getSource()`
  - `getPropertyCallExp()`

### getNavigationOrAttributeCallExp

public org.eclipse.emf.ecore.EClass getNavigationOrAttributeCallExp()
Returns the meta object for class '`Navigation Or Attribute Call Exp`'.

Returns:
  the meta object for class 'Navigation Or Attribute Call Exp'.
See Also:
  - `NavigationOrAttributeCallExp`

### getNavigationOrAttributeCallExp_Name

public org.eclipse.emf.ecore.EAttribute getNavigationOrAttributeCallExp_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `NavigationOrAttributeCallExp.getName()`
  - `getNavigationOrAttributeCallExp()`

### getOperationCallExp

public org.eclipse.emf.ecore.EClass getOperationCallExp()
Returns the meta object for class '`Operation Call Exp`'.

Returns:
  the meta object for class 'Operation Call Exp'.
See Also:
  - `OperationCallExp`

### getOperationCallExp_Arguments

public org.eclipse.emf.ecore.EReference getOperationCallExp_Arguments()
Returns the meta object for the containment reference list '`Arguments`'.

Returns:
  the meta object for the containment reference list 'Arguments'.
See Also:
  - `OperationCallExp.getArguments()`
  - `getOperationCallExp()`

### getOperationCallExp_OperationName

public org.eclipse.emf.ecore.EAttribute getOperationCallExp_OperationName()
Returns the meta object for the attribute '`Operation Name`'.

Returns:
  the meta object for the attribute 'Operation Name'.
See Also:
  - `OperationCallExp.getOperationName()`
  - `getOperationCallExp()`

### getOperatorCallExp

public org.eclipse.emf.ecore.EClass getOperatorCallExp()
Returns the meta object for class '`Operator Call Exp`'.

Returns:
  the meta object for class 'Operator Call Exp'.
See Also:
  - `OperatorCallExp`

### getCollectionOperationCallExp

public org.eclipse.emf.ecore.EClass getCollectionOperationCallExp()
Returns the meta object for class '`Collection Operation Call Exp`'.

Returns:
  the meta object for class 'Collection Operation Call Exp'.
See Also:
  - `CollectionOperationCallExp`

### getLoopExp

public org.eclipse.emf.ecore.EClass getLoopExp()
Returns the meta object for class '`Loop Exp`'.

Returns:
  the meta object for class 'Loop Exp'.
See Also:
  - `LoopExp`

### getLoopExp_Body

public org.eclipse.emf.ecore.EReference getLoopExp_Body()
Returns the meta object for the containment reference '`Body`'.

Returns:
  the meta object for the containment reference 'Body'.
See Also:
  - `LoopExp.getBody()`
  - `getLoopExp()`

### getLoopExp_Iterators

public org.eclipse.emf.ecore.EReference getLoopExp_Iterators()
Returns the meta object for the containment reference list '`Iterators`'.

Returns:
  the meta object for the containment reference list 'Iterators'.
See Also:
  - `LoopExp.getIterators()`
  - `getLoopExp()`

### getIterateExp

public org.eclipse.emf.ecore.EClass getIterateExp()
Returns the meta object for class '`Iterate Exp`'.

Returns:
  the meta object for class 'Iterate Exp'.
See Also:
  - `IterateExp`

### getIterateExp_Result

public org.eclipse.emf.ecore.EReference getIterateExp_Result()
Returns the meta object for the containment reference '`Result`'.

Returns:
  the meta object for the containment reference 'Result'.
See Also:
  - `IterateExp.getResult()`
  - `getIterateExp()`

### getIteratorExp

public org.eclipse.emf.ecore.EClass getIteratorExp()
Returns the meta object for class '`Iterator Exp`'.

Returns:
  the meta object for class 'Iterator Exp'.
See Also:
  - `IteratorExp`

### getIteratorExp_Name

public org.eclipse.emf.ecore.EAttribute getIteratorExp_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `IteratorExp.getName()`
  - `getIteratorExp()`

### getLetExp

public org.eclipse.emf.ecore.EClass getLetExp()
Returns the meta object for class '`Let Exp`'.

Returns:
  the meta object for class 'Let Exp'.
See Also:
  - `LetExp`

### getLetExp_Variable

public org.eclipse.emf.ecore.EReference getLetExp_Variable()
Returns the meta object for the containment reference '`Variable`'.

Returns:
  the meta object for the containment reference 'Variable'.
See Also:
  - `LetExp.getVariable()`
  - `getLetExp()`

### getLetExp_In_

public org.eclipse.emf.ecore.EReference getLetExp_In_()
Returns the meta object for the containment reference '`In` '.

Returns:
  the meta object for the containment reference 'In '.
See Also:
  - `LetExp.getIn_()`
  - `getLetExp()`

### getIfExp

public org.eclipse.emf.ecore.EClass getIfExp()
Returns the meta object for class '`If Exp`'.

Returns:
  the meta object for class 'If Exp'.
See Also:
  - `IfExp`

### getIfExp_ThenExpression

public org.eclipse.emf.ecore.EReference getIfExp_ThenExpression()
Returns the meta object for the containment reference '`Then Expression`'.

Returns:
  the meta object for the containment reference 'Then Expression'.
See Also:
  - `IfExp.getThenExpression()`
  - `getIfExp()`

### getIfExp_Condition

public org.eclipse.emf.ecore.EReference getIfExp_Condition()
Returns the meta object for the containment reference '`Condition`'.

Returns:
  the meta object for the containment reference 'Condition'.
See Also:
  - `IfExp.getCondition()`
  - `getIfExp()`

### getIfExp_ElseExpression

public org.eclipse.emf.ecore.EReference getIfExp_ElseExpression()
Returns the meta object for the containment reference '`Else Expression`'.

Returns:
  the meta object for the containment reference 'Else Expression'.
See Also:
  - `IfExp.getElseExpression()`
  - `getIfExp()`

### getVariableDeclaration

public org.eclipse.emf.ecore.EClass getVariableDeclaration()
Returns the meta object for class '`Variable Declaration`'.

Returns:
  the meta object for class 'Variable Declaration'.
See Also:
  - `VariableDeclaration`

### getVariableDeclaration_Id

public org.eclipse.emf.ecore.EAttribute getVariableDeclaration_Id()
Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `VariableDeclaration.getId()`
  - `getVariableDeclaration()`

### getVariableDeclaration_VarName

public org.eclipse.emf.ecore.EAttribute getVariableDeclaration_VarName()
Returns the meta object for the attribute '`Var Name`'.

Returns:
  the meta object for the attribute 'Var Name'.
See Also:
  - `VariableDeclaration.getVarName()`
  - `getVariableDeclaration()`

### getVariableDeclaration_Type

public org.eclipse.emf.ecore.EReference getVariableDeclaration_Type()
Returns the meta object for the containment reference '`Type`'.

Returns:
  the meta object for the containment reference 'Type'.
See Also:
  - `VariableDeclaration.getType()`
  - `getVariableDeclaration()`

### getVariableDeclaration_InitExpression

public org.eclipse.emf.ecore.EReference getVariableDeclaration_InitExpression()
Returns the meta object for the containment reference '`Init Expression`'.

Returns:
  the meta object for the containment reference 'Init Expression'.
See Also:
  - `VariableDeclaration.getInitExpression()`
  - `getVariableDeclaration()`

### getVariableDeclaration_LetExp

public org.eclipse.emf.ecore.EReference getVariableDeclaration_LetExp()
Returns the meta object for the container reference '`Let Exp`'.

Returns:
  the meta object for the container reference 'Let Exp'.
See Also:
  - `VariableDeclaration.getLetExp()`
  - `getVariableDeclaration()`

### getVariableDeclaration_BaseExp

public org.eclipse.emf.ecore.EReference getVariableDeclaration_BaseExp()
Returns the meta object for the container reference '`Base Exp`'.

Returns:
  the meta object for the container reference 'Base Exp'.
See Also:
  - `VariableDeclaration.getBaseExp()`
  - `getVariableDeclaration()`

### getVariableDeclaration_VariableExp

public org.eclipse.emf.ecore.EReference getVariableDeclaration_VariableExp()
Returns the meta object for the reference list '`Variable Exp`'.

Returns:
  the meta object for the reference list 'Variable Exp'.
See Also:
  - `VariableDeclaration.getVariableExp()`
  - `getVariableDeclaration()`

### getIterator

public org.eclipse.emf.ecore.EClass getIterator()
Returns the meta object for class '`Iterator`'.

Returns:
  the meta object for class 'Iterator'.
See Also:
  - `Iterator`

### getIterator_LoopExpr

public org.eclipse.emf.ecore.EReference getIterator_LoopExpr()
Returns the meta object for the container reference '`Loop Expr`'.

Returns:
  the meta object for the container reference 'Loop Expr'.
See Also:
  - `Iterator.getLoopExpr()`
  - `getIterator()`

### getParameter

public org.eclipse.emf.ecore.EClass getParameter()
Returns the meta object for class '`Parameter`'.

Returns:
  the meta object for class 'Parameter'.
See Also:
  - `Parameter`

### getParameter_Operation

public org.eclipse.emf.ecore.EReference getParameter_Operation()
Returns the meta object for the container reference '`Operation`'.

Returns:
  the meta object for the container reference 'Operation'.
See Also:
  - `Parameter.getOperation()`
  - `getParameter()`

### getCollectionType

public org.eclipse.emf.ecore.EClass getCollectionType()
Returns the meta object for class '`Collection Type`'.

Returns:
  the meta object for class 'Collection Type'.
See Also:
  - `CollectionType`

### getCollectionType_ElementType

public org.eclipse.emf.ecore.EReference getCollectionType_ElementType()
Returns the meta object for the containment reference '`Element Type`'.

Returns:
  the meta object for the containment reference 'Element Type'.
See Also:
  - `CollectionType.getElementType()`
  - `getCollectionType()`

### getOclType

public org.eclipse.emf.ecore.EClass getOclType()
Returns the meta object for class '`Ocl Type`'.

Returns:
  the meta object for class 'Ocl Type'.
See Also:
  - `OclType`

### getOclType_Name

public org.eclipse.emf.ecore.EAttribute getOclType_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `OclType.getName()`
  - `getOclType()`

### getOclType_Definitions

public org.eclipse.emf.ecore.EReference getOclType_Definitions()
Returns the meta object for the container reference '`Definitions`'.

Returns:
  the meta object for the container reference 'Definitions'.
See Also:
  - `OclType.getDefinitions()`
  - `getOclType()`

### getOclType_OclExpression

public org.eclipse.emf.ecore.EReference getOclType_OclExpression()
Returns the meta object for the container reference '`Ocl Expression`'.

Returns:
  the meta object for the container reference 'Ocl Expression'.
See Also:
  - `OclType.getOclExpression()`
  - `getOclType()`

### getOclType_Operation

public org.eclipse.emf.ecore.EReference getOclType_Operation()
Returns the meta object for the container reference '`Operation`'.

Returns:
  the meta object for the container reference 'Operation'.
See Also:
  - `OclType.getOperation()`
  - `getOclType()`

### getOclType_MapType2

public org.eclipse.emf.ecore.EReference getOclType_MapType2()
Returns the meta object for the container reference '`Map Type2`'.

Returns:
  the meta object for the container reference 'Map Type2'.
See Also:
  - `OclType.getMapType2()`
  - `getOclType()`

### getOclType_Attribute

public org.eclipse.emf.ecore.EReference getOclType_Attribute()
Returns the meta object for the container reference '`Attribute`'.

Returns:
  the meta object for the container reference 'Attribute'.
See Also:
  - `OclType.getAttribute()`
  - `getOclType()`

### getOclType_MapType

public org.eclipse.emf.ecore.EReference getOclType_MapType()
Returns the meta object for the container reference '`Map Type`'.

Returns:
  the meta object for the container reference 'Map Type'.
See Also:
  - `OclType.getMapType()`
  - `getOclType()`

### getOclType_CollectionTypes

public org.eclipse.emf.ecore.EReference getOclType_CollectionTypes()
Returns the meta object for the container reference '`Collection Types`'.

Returns:
  the meta object for the container reference 'Collection Types'.
See Also:
  - `OclType.getCollectionTypes()`
  - `getOclType()`

### getOclType_TupleTypeAttribute

public org.eclipse.emf.ecore.EReference getOclType_TupleTypeAttribute()
Returns the meta object for the container reference '`Tuple Type Attribute`'.

Returns:
  the meta object for the container reference 'Tuple Type Attribute'.
See Also:
  - `OclType.getTupleTypeAttribute()`
  - `getOclType()`

### getOclType_VariableDeclaration

public org.eclipse.emf.ecore.EReference getOclType_VariableDeclaration()
Returns the meta object for the container reference '`Variable Declaration`'.

Returns:
  the meta object for the container reference 'Variable Declaration'.
See Also:
  - `OclType.getVariableDeclaration()`
  - `getOclType()`

### getPrimitive

public org.eclipse.emf.ecore.EClass getPrimitive()
Returns the meta object for class '`Primitive`'.

Returns:
  the meta object for class 'Primitive'.
See Also:
  - `Primitive`

### getStringType

public org.eclipse.emf.ecore.EClass getStringType()
Returns the meta object for class '`String Type`'.

Returns:
  the meta object for class 'String Type'.
See Also:
  - `StringType`

### getBooleanType

public org.eclipse.emf.ecore.EClass getBooleanType()
Returns the meta object for class '`Boolean Type`'.

Returns:
  the meta object for class 'Boolean Type'.
See Also:
  - `BooleanType`

### getNumericType

public org.eclipse.emf.ecore.EClass getNumericType()
Returns the meta object for class '`Numeric Type`'.

Returns:
  the meta object for class 'Numeric Type'.
See Also:
  - `NumericType`

### getIntegerType

public org.eclipse.emf.ecore.EClass getIntegerType()
Returns the meta object for class '`Integer Type`'.

Returns:
  the meta object for class 'Integer Type'.
See Also:
  - `IntegerType`

### getRealType

public org.eclipse.emf.ecore.EClass getRealType()
Returns the meta object for class '`Real Type`'.

Returns:
  the meta object for class 'Real Type'.
See Also:
  - `RealType`

### getBagType

public org.eclipse.emf.ecore.EClass getBagType()
Returns the meta object for class '`Bag Type`'.

Returns:
  the meta object for class 'Bag Type'.
See Also:
  - `BagType`

### getOrderedSetType

public org.eclipse.emf.ecore.EClass getOrderedSetType()
Returns the meta object for class '`Ordered Set Type`'.

Returns:
  the meta object for class 'Ordered Set Type'.
See Also:
  - `OrderedSetType`

### getSequenceType

public org.eclipse.emf.ecore.EClass getSequenceType()
Returns the meta object for class '`Sequence Type`'.

Returns:
  the meta object for class 'Sequence Type'.
See Also:
  - `SequenceType`

### getSetType

public org.eclipse.emf.ecore.EClass getSetType()
Returns the meta object for class '`Set Type`'.

Returns:
  the meta object for class 'Set Type'.
See Also:
  - `SetType`

### getOclAnyType

public org.eclipse.emf.ecore.EClass getOclAnyType()
Returns the meta object for class '`Ocl Any Type`'.

Returns:
  the meta object for class 'Ocl Any Type'.
See Also:
  - `OclAnyType`

### getTupleType

public org.eclipse.emf.ecore.EClass getTupleType()
Returns the meta object for class '`Tuple Type`'.

Returns:
  the meta object for class 'Tuple Type'.
See Also:
  - `TupleType`

### getTupleType_Attributes

public org.eclipse.emf.ecore.EReference getTupleType_Attributes()
Returns the meta object for the containment reference list '`Attributes`'.

Returns:
  the meta object for the containment reference list 'Attributes'.
See Also:
  - `TupleType.getAttributes()`
  - `getTupleType()`

### getTupleTypeAttribute

public org.eclipse.emf.ecore.EClass getTupleTypeAttribute()
Returns the meta object for class '`Tuple Type Attribute`'.

Returns:
  the meta object for class 'Tuple Type Attribute'.
See Also:
  - `TupleTypeAttribute`

### getTupleTypeAttribute_Type

public org.eclipse.emf.ecore.EReference getTupleTypeAttribute_Type()
Returns the meta object for the containment reference '`Type`'.

Returns:
  the meta object for the containment reference 'Type'.
See Also:
  - `TupleTypeAttribute.getType()`
  - `getTupleTypeAttribute()`

### getTupleTypeAttribute_TupleType

public org.eclipse.emf.ecore.EReference getTupleTypeAttribute_TupleType()
Returns the meta object for the container reference '`Tuple Type`'.

Returns:
  the meta object for the container reference 'Tuple Type'.
See Also:
  - `TupleTypeAttribute.getTupleType()`
  - `getTupleTypeAttribute()`

### getTupleTypeAttribute_Name

public org.eclipse.emf.ecore.EAttribute getTupleTypeAttribute_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `TupleTypeAttribute.getName()`
  - `getTupleTypeAttribute()`

### getOclModelElement

public org.eclipse.emf.ecore.EClass getOclModelElement()
Returns the meta object for class '`Ocl Model Element`'.

Returns:
  the meta object for class 'Ocl Model Element'.
See Also:
  - `OclModelElement`

### getOclModelElement_Model

public org.eclipse.emf.ecore.EReference getOclModelElement_Model()
Returns the meta object for the reference '`Model`'.

Returns:
  the meta object for the reference 'Model'.
See Also:
  - `OclModelElement.getModel()`
  - `getOclModelElement()`

### getMapType

public org.eclipse.emf.ecore.EClass getMapType()
Returns the meta object for class '`Map Type`'.

Returns:
  the meta object for class 'Map Type'.
See Also:
  - `MapType`

### getMapType_ValueType

public org.eclipse.emf.ecore.EReference getMapType_ValueType()
Returns the meta object for the containment reference '`Value Type`'.

Returns:
  the meta object for the containment reference 'Value Type'.
See Also:
  - `MapType.getValueType()`
  - `getMapType()`

### getMapType_KeyType

public org.eclipse.emf.ecore.EReference getMapType_KeyType()
Returns the meta object for the containment reference '`Key Type`'.

Returns:
  the meta object for the containment reference 'Key Type'.
See Also:
  - `MapType.getKeyType()`
  - `getMapType()`

### getOclFeatureDefinition

public org.eclipse.emf.ecore.EClass getOclFeatureDefinition()
Returns the meta object for class '`Ocl Feature Definition`'.

Returns:
  the meta object for class 'Ocl Feature Definition'.
See Also:
  - `OclFeatureDefinition`

### getOclFeatureDefinition_Feature

public org.eclipse.emf.ecore.EReference getOclFeatureDefinition_Feature()
Returns the meta object for the containment reference '`Feature`'.

Returns:
  the meta object for the containment reference 'Feature'.
See Also:
  - `OclFeatureDefinition.getFeature()`
  - `getOclFeatureDefinition()`

### getOclFeatureDefinition_Context_

public org.eclipse.emf.ecore.EReference getOclFeatureDefinition_Context_()
Returns the meta object for the containment reference '`Context` '.

Returns:
  the meta object for the containment reference 'Context '.
See Also:
  - `OclFeatureDefinition.getContext_()`
  - `getOclFeatureDefinition()`

### getOclContextDefinition

public org.eclipse.emf.ecore.EClass getOclContextDefinition()
Returns the meta object for class '`Ocl Context Definition`'.

Returns:
  the meta object for class 'Ocl Context Definition'.
See Also:
  - `OclContextDefinition`

### getOclContextDefinition_Definition

public org.eclipse.emf.ecore.EReference getOclContextDefinition_Definition()
Returns the meta object for the container reference '`Definition`'.

Returns:
  the meta object for the container reference 'Definition'.
See Also:
  - `OclContextDefinition.getDefinition()`
  - `getOclContextDefinition()`

### getOclContextDefinition_Context_

public org.eclipse.emf.ecore.EReference getOclContextDefinition_Context_()
Returns the meta object for the containment reference '`Context` '.

Returns:
  the meta object for the containment reference 'Context '.
See Also:
  - `OclContextDefinition.getContext_()`
  - `getOclContextDefinition()`

### getOclFeature

public org.eclipse.emf.ecore.EClass getOclFeature()
Returns the meta object for class '`Ocl Feature`'.

Returns:
  the meta object for class 'Ocl Feature'.
See Also:
  - `OclFeature`

### getOclFeature_Definition

public org.eclipse.emf.ecore.EReference getOclFeature_Definition()
Returns the meta object for the container reference '`Definition`'.

Returns:
  the meta object for the container reference 'Definition'.
See Also:
  - `OclFeature.getDefinition()`
  - `getOclFeature()`

### getAttribute

public org.eclipse.emf.ecore.EClass getAttribute()
Returns the meta object for class '`Attribute`'.

Returns:
  the meta object for class 'Attribute'.
See Also:
  - `Attribute`

### getAttribute_Name

public org.eclipse.emf.ecore.EAttribute getAttribute_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Attribute.getName()`
  - `getAttribute()`

### getAttribute_InitExpression

public org.eclipse.emf.ecore.EReference getAttribute_InitExpression()
Returns the meta object for the containment reference '`Init Expression`'.

Returns:
  the meta object for the containment reference 'Init Expression'.
See Also:
  - `Attribute.getInitExpression()`
  - `getAttribute()`

### getAttribute_Type

public org.eclipse.emf.ecore.EReference getAttribute_Type()
Returns the meta object for the containment reference '`Type`'.

Returns:
  the meta object for the containment reference 'Type'.
See Also:
  - `Attribute.getType()`
  - `getAttribute()`

### getOperation

public org.eclipse.emf.ecore.EClass getOperation()
Returns the meta object for class '`Operation`'.

Returns:
  the meta object for class 'Operation'.
See Also:
  - `Operation`

### getOperation_Name

public org.eclipse.emf.ecore.EAttribute getOperation_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Operation.getName()`
  - `getOperation()`

### getOperation_Parameters

public org.eclipse.emf.ecore.EReference getOperation_Parameters()
Returns the meta object for the containment reference list '`Parameters`'.

Returns:
  the meta object for the containment reference list 'Parameters'.
See Also:
  - `Operation.getParameters()`
  - `getOperation()`

### getOperation_ReturnType

public org.eclipse.emf.ecore.EReference getOperation_ReturnType()
Returns the meta object for the containment reference '`Return Type`'.

Returns:
  the meta object for the containment reference 'Return Type'.
See Also:
  - `Operation.getReturnType()`
  - `getOperation()`

### getOperation_Body

public org.eclipse.emf.ecore.EReference getOperation_Body()
Returns the meta object for the containment reference '`Body`'.

Returns:
  the meta object for the containment reference 'Body'.
See Also:
  - `Operation.getBody()`
  - `getOperation()`

### getOclModel

public org.eclipse.emf.ecore.EClass getOclModel()
Returns the meta object for class '`Ocl Model`'.

Returns:
  the meta object for class 'Ocl Model'.
See Also:
  - `OclModel`

### getOclModel_Name

public org.eclipse.emf.ecore.EAttribute getOclModel_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `OclModel.getName()`
  - `getOclModel()`

### getOclModel_Metamodel

public org.eclipse.emf.ecore.EReference getOclModel_Metamodel()
Returns the meta object for the reference '`Metamodel`'.

Returns:
  the meta object for the reference 'Metamodel'.
See Also:
  - `OclModel.getMetamodel()`
  - `getOclModel()`

### getOclModel_Elements

public org.eclipse.emf.ecore.EReference getOclModel_Elements()
Returns the meta object for the reference list '`Elements`'.

Returns:
  the meta object for the reference list 'Elements'.
See Also:
  - `OclModel.getElements()`
  - `getOclModel()`

### getOclModel_Model

public org.eclipse.emf.ecore.EReference getOclModel_Model()
Returns the meta object for the reference list '`Model`'.

Returns:
  the meta object for the reference list 'Model'.
See Also:
  - `OclModel.getModel()`
  - `getOclModel()`

### getOCLFactory

public OCLFactory getOCLFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.